import mods.modularmachinery.RecipePrimer;
import crafttweaker.oredict.IOreDict;
import crafttweaker.oredict.IOreDictEntry;
import crafttweaker.item.IItemStack;
import crafttweaker.item.IIngredient;
import crafttweaker.liquid.ILiquidStack;
import crafttweaker.data.IData;

var machine = "extra_fusion_core";

// ===SPACE_INGOT===

    val SPACE_INGOT = mods.modularmachinery.RecipeBuilder.newBuilder("SPACE_INGOT",machine,288000); // 144000 до правок баланса
    SPACE_INGOT.addEnergyPerTickInput(90000); // 1800000 до правок баланса 
    SPACE_INGOT.addItemInput(<aquaculture:loot:104> * 1);
    SPACE_INGOT.addItemInput(<aquaculture:loot:103> * 1);
    SPACE_INGOT.addItemInput(<aquaculture:loot:94> * 1);	
    SPACE_INGOT.addItemInput(<aquaculture:loot:72> * 2);
    SPACE_INGOT.addItemInput(<aquaculture:loot:122> * 2);
	SPACE_INGOT.addItemInput(<aquaculture:loot:53> * 64);
	SPACE_INGOT.addItemInput(<aquaculture:loot:58> * 64);
	SPACE_INGOT.addItemInput(<aquaculture:loot:63> * 64);
	SPACE_INGOT.addItemInput(<aquaculture:loot:66> * 64);
	SPACE_INGOT.addItemInput(<aquaculture:loot:175> * 1);
	SPACE_INGOT.addItemInput(<aquaculture:loot:187> * 1);
	SPACE_INGOT.addItemInput(<aquaculture:loot:188> * 1);
    SPACE_INGOT.addItemOutput(<aquaculture:loot:81> * 2).setChance(1.0);
    SPACE_INGOT.build();

// ===STAR_ESSENCE===

    val STAR_ESSENCE = mods.modularmachinery.RecipeBuilder.newBuilder("STAR_ESSENCE",machine,72000);
    STAR_ESSENCE.addEnergyPerTickInput(90000); // 1800000 до правок баланса 
    STAR_ESSENCE.addItemInput(<minecraft:nether_star> * 64);
    STAR_ESSENCE.addItemOutput(<aquaculture:loot:94>).setChance(1.0);
    STAR_ESSENCE.build();

// ===SINGULARITY===

    val SINGULARITY = mods.modularmachinery.RecipeBuilder.newBuilder("SINGULARITY",machine,144000);
    SINGULARITY.addEnergyPerTickInput(90000); // 1800000 до правок баланса 
    SINGULARITY.addItemInput(<aquaculture:loot:102> * 12);
    SINGULARITY.addItemInput(<aquaculture:loot:129> * 7);
    SINGULARITY.addItemOutput(<aquaculture:loot:104>).setChance(1.0);
    SINGULARITY.build();	
	
	
//=======================================================================================================================================================	
	
	
// ===SPLINTER2===

    val SPLINTER2 = mods.modularmachinery.RecipeBuilder.newBuilder("SPLINTER2",machine,18000);
    SPLINTER2.addEnergyPerTickInput(18000);
    SPLINTER2.addItemInput(<aquaculture:loot:131>);
    SPLINTER2.addItemInput(<aquaculture:splinter:*>);
    SPLINTER2.addItemOutput(<aquaculture:splinter2>).setChance(1.0);
    SPLINTER2.build();

// ===SPLINTER3===

    val SPLINTER3 = mods.modularmachinery.RecipeBuilder.newBuilder("SPLINTER3",machine,18000);
    SPLINTER3.addEnergyPerTickInput(18000);
    SPLINTER3.addItemInput(<aquaculture:loot:132>);
    SPLINTER3.addItemInput(<aquaculture:splinter:*>);
    SPLINTER3.addItemOutput(<aquaculture:splinter3>).setChance(1.0);
    SPLINTER3.build();	
	
// ===SPLINTER4===

    val SPLINTER4 = mods.modularmachinery.RecipeBuilder.newBuilder("SPLINTER4",machine,18000);
    SPLINTER4.addEnergyPerTickInput(18000);
    SPLINTER4.addItemInput(<aquaculture:loot:133>);
    SPLINTER4.addItemInput(<aquaculture:splinter:*>);
    SPLINTER4.addItemOutput(<aquaculture:splinter4>).setChance(1.0);
    SPLINTER4.build();
	
// ===SPLINTER5===

    val SPLINTER5 = mods.modularmachinery.RecipeBuilder.newBuilder("SPLINTER5",machine,18000);
    SPLINTER5.addEnergyPerTickInput(18000);
    SPLINTER5.addItemInput(<aquaculture:loot:134>);
    SPLINTER5.addItemInput(<aquaculture:splinter:*>);
    SPLINTER5.addItemOutput(<aquaculture:splinter5>).setChance(1.0);
    SPLINTER5.build();	
	
// ===SPLINTER6===

    val SPLINTER6 = mods.modularmachinery.RecipeBuilder.newBuilder("SPLINTER6",machine,18000);
    SPLINTER6.addEnergyPerTickInput(18000);
    SPLINTER6.addItemInput(<aquaculture:loot:135>);
    SPLINTER6.addItemInput(<aquaculture:splinter:*>);
    SPLINTER6.addItemOutput(<aquaculture:splinter6>).setChance(1.0);
    SPLINTER6.build();
	
// ===SPLINTER8===

    // val SPLINTER8 = mods.modularmachinery.RecipeBuilder.newBuilder("SPLINTER8",machine,18000);
    // SPLINTER8.addEnergyPerTickInput(18000);
    // SPLINTER8.addItemInput(<aquaculture:splinter:*>);
    // SPLINTER8.addItemInput(<aquaculture:crystal_multitool:*>);
    // SPLINTER8.addItemInput(<aquaculture:loot:199> * 64);
    // SPLINTER8.addItemOutput(<aquaculture:splinter8>).setChance(1.0);
    // SPLINTER8.build();