import mods.modularmachinery.RecipePrimer;
import crafttweaker.oredict.IOreDict;
import crafttweaker.oredict.IOreDictEntry;
import crafttweaker.item.IItemStack;
import crafttweaker.item.IIngredient;
import crafttweaker.liquid.ILiquidStack;
import crafttweaker.data.IData;

var machine = "molecularium";
	
// ===CRYSTAL_MULTITOOL2===

    val CRYSTAL_MULTITOOL2 = mods.modularmachinery.RecipeBuilder.newBuilder("CRYSTAL_MULTITOOL2",machine,18000).applyAnimation();
    CRYSTAL_MULTITOOL2.addEnergyPerTickInput(18000);
    CRYSTAL_MULTITOOL2.addItemInput(<aquaculture:loot:103>);
    CRYSTAL_MULTITOOL2.addItemInput(<aquaculture:crystal_multitool:*>);
    CRYSTAL_MULTITOOL2.addItemInput(<minecraft:dragon_egg>);
    CRYSTAL_MULTITOOL2.addItemOutput(<aquaculture:crystal_multitool2>).setChance(1.0);
    CRYSTAL_MULTITOOL2.build();	
	
// ===POTION1===
	
    //val POTION1_2 = mods.modularmachinery.RecipeBuilder.newBuilder("POTION1_2",machine,72000);
    //POTION1_2.addEnergyPerTickInput(900000);
    //POTION1_2.addItemInput(<aquaculture:loot:103>);
    //POTION1_2.addItemInput(<minecraft:book>);
    //POTION1_2.addItemInput(<minecraft:glass_bottle>);
    //POTION1_2.addItemOutput(<aquaculture:potion1>).setChance(0.01);
    //POTION1_2.build();

// ===POTION2===

    val POTION2_2 = mods.modularmachinery.RecipeBuilder.newBuilder("POTION2_2",machine,36000);
    POTION2_2.addEnergyPerTickInput(18000);
    POTION2_2.addItemInput(<aquaculture:loot:103>);
    POTION2_2.addItemInput(<minecraft:diamond_pickaxe>);
    POTION2_2.addItemInput(<minecraft:glass_bottle>);
    POTION2_2.addItemOutput(<aquaculture:potion2> * 4).setChance(1.0);
    POTION2_2.build();

// ===AMULET_ADMINS===

    val AMULET_ADMINS_2 = mods.modularmachinery.RecipeBuilder.newBuilder("AMULET_ADMINS_2",machine,72000);
    AMULET_ADMINS_2.addEnergyPerTickInput(1800000);
    AMULET_ADMINS_2.addItemInput(<aquaculture:loot:103>);
    AMULET_ADMINS_2.addItemInput(<extraamulets:crystal_improvements>);
    AMULET_ADMINS_2.addItemOutput(<extraamulets:amulet_admins>).setChance(0.05);
    AMULET_ADMINS_2.build();
	
// ===THAUMCRAFT_TAINTSEED===	
	
    val THAUMCRAFT_TAINTSEED = mods.modularmachinery.RecipeBuilder.newBuilder("THAUMCRAFT_TAINTSEED",machine,72000);
    THAUMCRAFT_TAINTSEED.addEnergyPerTickInput(18000);
    THAUMCRAFT_TAINTSEED.addItemInput(<minecraft:egg>);
    THAUMCRAFT_TAINTSEED.addItemInput(<thaumcraft:void_seed>);
    THAUMCRAFT_TAINTSEED.addItemOutput(<minecraft:spawn_egg>.withTag({EntityTag: {id: "thaumcraft:taintseed"}})).setChance(0.1);
    THAUMCRAFT_TAINTSEED.build();
	
//=======================================================================================================================================================

// ===EVENT_FISHING_ROD2_STILE===

    val EVENT_FISHING_ROD2_STILE = mods.modularmachinery.RecipeBuilder.newBuilder("EVENT_FISHING_ROD2_STILE",machine,18000);
    EVENT_FISHING_ROD2_STILE.addEnergyPerTickInput(18000);
    EVENT_FISHING_ROD2_STILE.addItemInput(<aquaculture:event_fishing_rod2:*>);
    EVENT_FISHING_ROD2_STILE.addItemInput(<aquaculture:loot:77>);
    EVENT_FISHING_ROD2_STILE.addItemOutput(<aquaculture:event_fishing_rod>).setChance(1.0);
    EVENT_FISHING_ROD2_STILE.addItemOutput(<aquaculture:loot:147>).setChance(1.0);
    EVENT_FISHING_ROD2_STILE.build();
	
// ===EVENT_FISHING_ROD3_STILE===

    val EVENT_FISHING_ROD3_STILE = mods.modularmachinery.RecipeBuilder.newBuilder("EVENT_FISHING_ROD3_STILE",machine,18000);
    EVENT_FISHING_ROD3_STILE.addEnergyPerTickInput(18000);
    EVENT_FISHING_ROD3_STILE.addItemInput(<aquaculture:event_fishing_rod3:*>);
    EVENT_FISHING_ROD3_STILE.addItemInput(<aquaculture:loot:77>);
    EVENT_FISHING_ROD3_STILE.addItemOutput(<aquaculture:event_fishing_rod>).setChance(1.0);
    EVENT_FISHING_ROD3_STILE.addItemOutput(<aquaculture:loot:207>).setChance(1.0);
    EVENT_FISHING_ROD3_STILE.build();
	
// ===SPLINTER7_STILE===

    val SPLINTER7_STILE = mods.modularmachinery.RecipeBuilder.newBuilder("SPLINTER7_STILE",machine,18000);
    SPLINTER7_STILE.addEnergyPerTickInput(18000);
    SPLINTER7_STILE.addItemInput(<aquaculture:splinter7:*>);
    SPLINTER7_STILE.addItemInput(<aquaculture:loot:77>);
    SPLINTER7_STILE.addItemOutput(<aquaculture:splinter>).setChance(1.0);
    SPLINTER7_STILE.addItemOutput(<aquaculture:loot:146>).setChance(1.0);
    SPLINTER7_STILE.build();	
	
// ===SPLINTER9_STILE===

    val SPLINTER9_STILE = mods.modularmachinery.RecipeBuilder.newBuilder("SPLINTER9_STILE",machine,18000);
    SPLINTER9_STILE.addEnergyPerTickInput(18000);
    SPLINTER9_STILE.addItemInput(<aquaculture:splinter9:*>);
    SPLINTER9_STILE.addItemInput(<aquaculture:loot:77>);
    SPLINTER9_STILE.addItemOutput(<aquaculture:splinter>).setChance(1.0);
    SPLINTER9_STILE.addItemOutput(<aquaculture:loot:210>).setChance(1.0);
    SPLINTER9_STILE.build();
	
// ===SPLINTER10_STILE===

    val SPLINTER10_STILE = mods.modularmachinery.RecipeBuilder.newBuilder("SPLINTER10_STILE",machine,18000);
    SPLINTER10_STILE.addEnergyPerTickInput(18000);
    SPLINTER10_STILE.addItemInput(<aquaculture:splinter10:*>);
    SPLINTER10_STILE.addItemInput(<aquaculture:loot:77>);
    SPLINTER10_STILE.addItemOutput(<aquaculture:splinter>).setChance(1.0);
    SPLINTER10_STILE.addItemOutput(<aquaculture:loot:209>).setChance(1.0);
    SPLINTER10_STILE.build();
	
// ===CRYSTAL_MULTITOOL3_STILE===

    val CRYSTAL_MULTITOOL3_STILE = mods.modularmachinery.RecipeBuilder.newBuilder("CRYSTAL_MULTITOOL3_STILE",machine,18000);
    CRYSTAL_MULTITOOL3_STILE.addEnergyPerTickInput(18000);
    CRYSTAL_MULTITOOL3_STILE.addItemInput(<aquaculture:crystal_multitool3:*>);
    CRYSTAL_MULTITOOL3_STILE.addItemInput(<aquaculture:loot:77>);
    CRYSTAL_MULTITOOL3_STILE.addItemOutput(<aquaculture:crystal_multitool>).setChance(1.0);
    CRYSTAL_MULTITOOL3_STILE.addItemOutput(<aquaculture:loot:145>).setChance(1.0);
    CRYSTAL_MULTITOOL3_STILE.build();	
	
// ===CRYSTAL_MULTITOOL4_STILE===

    //val CRYSTAL_MULTITOOL4_STILE = mods.modularmachinery.RecipeBuilder.newBuilder("CRYSTAL_MULTITOOL4_STILE",machine,18000);
    //CRYSTAL_MULTITOOL4_STILE.addEnergyPerTickInput(18000);
    //CRYSTAL_MULTITOOL4_STILE.addItemInput(<aquaculture:crystal_multitool4:*>);
    //CRYSTAL_MULTITOOL4_STILE.addItemInput(<aquaculture:loot:77>);
    //CRYSTAL_MULTITOOL4_STILE.addItemOutput(<aquaculture:crystal_multitool>).setChance(1.0);
    //CRYSTAL_MULTITOOL4_STILE.addItemOutput(<aquaculture:loot:148>).setChance(1.0);
    //CRYSTAL_MULTITOOL4_STILE.build();	
	
// ===CRYSTAL_MULTITOOL5_STILE===

    val CRYSTAL_MULTITOOL5_STILE = mods.modularmachinery.RecipeBuilder.newBuilder("CRYSTAL_MULTITOOL5_STILE",machine,18000);
    CRYSTAL_MULTITOOL5_STILE.addEnergyPerTickInput(18000);
    CRYSTAL_MULTITOOL5_STILE.addItemInput(<aquaculture:crystal_multitool5:*>);
    CRYSTAL_MULTITOOL5_STILE.addItemInput(<aquaculture:loot:77>);
    CRYSTAL_MULTITOOL5_STILE.addItemOutput(<aquaculture:crystal_multitool>).setChance(1.0);
    CRYSTAL_MULTITOOL5_STILE.addItemOutput(<aquaculture:loot:149>).setChance(1.0);
    CRYSTAL_MULTITOOL5_STILE.build();	
	
// ===CRYSTAL_MULTITOOL6_STILE===

    val CRYSTAL_MULTITOOL6_STILE = mods.modularmachinery.RecipeBuilder.newBuilder("CRYSTAL_MULTITOOL6_STILE",machine,18000);
    CRYSTAL_MULTITOOL6_STILE.addEnergyPerTickInput(18000);
    CRYSTAL_MULTITOOL6_STILE.addItemInput(<aquaculture:crystal_multitool6:*>);
    CRYSTAL_MULTITOOL6_STILE.addItemInput(<aquaculture:loot:77>);
    CRYSTAL_MULTITOOL6_STILE.addItemOutput(<aquaculture:crystal_multitool>).setChance(1.0);
    CRYSTAL_MULTITOOL6_STILE.addItemOutput(<aquaculture:loot:204>).setChance(1.0);
    CRYSTAL_MULTITOOL6_STILE.build();
	
// ===CRYSTAL_MULTITOOL7_STILE===

    val CRYSTAL_MULTITOOL7_STILE = mods.modularmachinery.RecipeBuilder.newBuilder("CRYSTAL_MULTITOOL7_STILE",machine,18000);
    CRYSTAL_MULTITOOL7_STILE.addEnergyPerTickInput(18000);
    CRYSTAL_MULTITOOL7_STILE.addItemInput(<aquaculture:crystal_multitool7:*>);
    CRYSTAL_MULTITOOL7_STILE.addItemInput(<aquaculture:loot:77>);
    CRYSTAL_MULTITOOL7_STILE.addItemOutput(<aquaculture:crystal_multitool>).setChance(1.0);
    CRYSTAL_MULTITOOL7_STILE.addItemOutput(<aquaculture:loot:208>).setChance(1.0);
    CRYSTAL_MULTITOOL7_STILE.build();