import mods.modularmachinery.RecipePrimer; 
import crafttweaker.oredict.IOreDict;
import crafttweaker.oredict.IOreDictEntry;
import crafttweaker.item.IItemStack;
import crafttweaker.item.IIngredient;
import crafttweaker.liquid.ILiquidStack;
import crafttweaker.data.IData; 

var machine = "research_centre";

// ===ASTROMUS1===

    val ASTROMUS1 = mods.modularmachinery.RecipeBuilder.newBuilder("ASTROMUS1",machine,18000);
    ASTROMUS1.addEnergyPerTickInput(18000);
    ASTROMUS1.addItemInput(<minecraft:egg> * 1);
    ASTROMUS1.addItemInput(<minecraft:book> * 1);
    ASTROMUS1.addItemInput(<minecraft:map> * 1);
    ASTROMUS1.addItemInput(<minecraft:crafting_table> * 1);
    ASTROMUS1.addItemInput(<minecraft:piston> * 1);
    ASTROMUS1.addItemInput(<minecraft:minecart> * 1);
    ASTROMUS1.addItemInput(<minecraft:redstone_torch> * 1);
    ASTROMUS1.addItemInput(<minecraft:golden_rail> * 1);
    ASTROMUS1.addItemInput(<minecraft:tnt> * 1);
    ASTROMUS1.addItemInput(<aquaculture:loot:92> * 1);
    ASTROMUS1.addItemInput(<minecraft:lava_bucket> * 1);
    ASTROMUS1.addItemInput(<minecraft:nether_star> * 1);
    ASTROMUS1.addItemOutput(<aquaculture:loot:78>).setChance(1.0);
    ASTROMUS1.build();


//=======================================================================================================================================================


// ===COSMOS1===

	val COSMOS1 = mods.modularmachinery.RecipeBuilder.newBuilder("COSMOS1",machine,18000);
	COSMOS1.addEnergyPerTickInput(18000); // 36000 до правок баланса
	COSMOS1.addItemInput(<aquaculture:loot:105>).setChance(0.0);
	COSMOS1.addItemOutput(<aquaculture:planet>).setChance(0.05);
	COSMOS1.addItemOutput(<aquaculture:planet:2>).setChance(0.05);
	COSMOS1.addItemOutput(<aquaculture:planet:3>).setChance(0.05);
	COSMOS1.addItemOutput(<aquaculture:planet:4>).setChance(0.05);
	COSMOS1.addItemOutput(<aquaculture:planet:5>).setChance(0.05);
	COSMOS1.addItemOutput(<aquaculture:planet:6>).setChance(0.05);
	COSMOS1.addItemOutput(<aquaculture:planet:7>).setChance(0.05);
	COSMOS1.addItemOutput(<aquaculture:planet:8>).setChance(0.05);
	COSMOS1.addItemOutput(<aquaculture:planet:9>).setChance(0.05);
	COSMOS1.addItemOutput(<aquaculture:planet:11>).setChance(0.05);
	COSMOS1.addItemOutput(<aquaculture:planet:12>).setChance(0.05);
	COSMOS1.addItemOutput(<aquaculture:planet:13>).setChance(0.05);
	COSMOS1.addItemOutput(<aquaculture:planet:17>).setChance(0.05);
	COSMOS1.addItemOutput(<aquaculture:planet:19>).setChance(0.05);
	COSMOS1.addItemOutput(<aquaculture:planet:21>).setChance(0.05);
	COSMOS1.addItemOutput(<aquaculture:planet:22>).setChance(0.05);
	COSMOS1.addItemOutput(<aquaculture:planet:23>).setChance(0.05);
	COSMOS1.addItemOutput(<aquaculture:planet:25>).setChance(0.05);
	COSMOS1.addItemOutput(<aquaculture:planet:26>).setChance(0.05);
	COSMOS1.addItemOutput(<aquaculture:planet:27>).setChance(0.05);
	COSMOS1.build();


//=======================================================================================================================================================	

	
// ===MW===

	val MW = mods.modularmachinery.RecipeBuilder.newBuilder("MW",machine,72000);
	MW.addEnergyPerTickInput(36000); // 180000 до правок баланса
	MW.addItemInput(<aquaculture:planet>);
	MW.addItemInput(<aquaculture:planet:2>);
	MW.addItemInput(<aquaculture:planet:3>);
	MW.addItemInput(<aquaculture:planet:4>);
	MW.addItemInput(<aquaculture:planet:5>);
	MW.addItemInput(<aquaculture:planet:6>);
	MW.addItemInput(<aquaculture:planet:7>);
	MW.addItemInput(<aquaculture:planet:8>);
	MW.addItemInput(<aquaculture:planet:9>);
	MW.addItemInput(<aquaculture:planet:11>);
	MW.addItemInput(<aquaculture:planet:12>);
	MW.addItemInput(<aquaculture:planet:13>);
	MW.addItemOutput(<aquaculture:planet:14>).setChance(1.0);
	MW.build();	
	
// ===EX===

	val EX = mods.modularmachinery.RecipeBuilder.newBuilder("EX",machine,72000);
	EX.addEnergyPerTickInput(36000); // 180000 до правок баланса
	EX.addItemInput(<aquaculture:planet:17>);
	EX.addItemInput(<aquaculture:planet:19>);
	EX.addItemInput(<aquaculture:planet:21>);
	EX.addItemInput(<aquaculture:planet:23>);
	EX.addItemInput(<aquaculture:planet:25>);
	EX.addItemInput(<aquaculture:planet:26>);
	EX.addItemInput(<aquaculture:planet:27>);
	EX.addItemOutput(<aquaculture:planet:20>).setChance(1.0);
	EX.build();	
	
	
//=======================================================================================================================================================	


// ===DELUXE===

	val DELUXE = mods.modularmachinery.RecipeBuilder.newBuilder("DELUXE",machine,36000);
	DELUXE.addEnergyPerTickInput(180);
	DELUXE.addItemInput(<aquaculture:loot:189>).setChance(0.0);
	DELUXE.addItemOutput(<aquaculture:loot:190>).setChance(1.0);
	DELUXE.build();