import mods.modularmachinery.RecipePrimer;
import crafttweaker.oredict.IOreDict;
import crafttweaker.oredict.IOreDictEntry;
import crafttweaker.item.IItemStack;
import crafttweaker.item.IIngredient;
import crafttweaker.liquid.ILiquidStack;
import crafttweaker.data.IData;

var machine = "botanarium";

// ===SPIRIT_FRAGMENT===

    val SPIRIT_FRAGMENT = mods.modularmachinery.RecipeBuilder.newBuilder("SPIRIT_FRAGMENT",machine,20);
    SPIRIT_FRAGMENT.addEnergyPerTickInput(3600);
    SPIRIT_FRAGMENT.addItemInput(<extrabotany:terrasteelhammer>).setChance(0.0);
    SPIRIT_FRAGMENT.addItemInput(<extrabotany:spiritfuel>).setChance(1.0);
    SPIRIT_FRAGMENT.addItemOutput(<extrabotany:material>).setChance(1.0);
    SPIRIT_FRAGMENT.build();
	
// ===GILDEDMASHED_POTATO===

    val GILDEDMASHED_POTATO = mods.modularmachinery.RecipeBuilder.newBuilder("GILDEDMASHED_POTATO",machine,20);
    GILDEDMASHED_POTATO.addEnergyPerTickInput(3600);
    GILDEDMASHED_POTATO.addItemInput(<extrabotany:terrasteelhammer>).setChance(0.0);
    GILDEDMASHED_POTATO.addItemInput(<extrabotany:material:2>).setChance(1.0);
    GILDEDMASHED_POTATO.addItemOutput(<extrabotany:gildedmashedpotato>).setChance(1.0);
    GILDEDMASHED_POTATO.build();
	
// ===GOLD_POTATO===

    val GOLD_POTATO = mods.modularmachinery.RecipeBuilder.newBuilder("GOLD_POTATO",machine,20);
    GOLD_POTATO.addEnergyPerTickInput(3600);
    GOLD_POTATO.addItemInput(<minecraft:potato>).setChance(1.0);
    GOLD_POTATO.addItemInput(<tconstruct:ingots:2>).setChance(1.0);
    GOLD_POTATO.addItemInput(<botania:manaresource:4>).setChance(1.0);
    GOLD_POTATO.addItemInput(<botania:manaresource:7>).setChance(1.0);
    GOLD_POTATO.addItemInput(<minecraft:gold_ingot>).setChance(1.0);
    GOLD_POTATO.addItemInput(<botania:livingrock>).setChance(1.0);
    GOLD_POTATO.addItemOutput(<extrabotany:material:2>).setChance(1.0);
    GOLD_POTATO.build();	
	
// ===PHOTONIUM===

    val PHOTONIUM = mods.modularmachinery.RecipeBuilder.newBuilder("PHOTONIUM",machine,20);
    PHOTONIUM.addEnergyPerTickInput(3600);
    PHOTONIUM.addItemInput(<extrabotany:material>).setChance(1.0);
    PHOTONIUM.addItemInput(<extrabotany:material>).setChance(1.0);
    PHOTONIUM.addItemInput(<extrabotany:material>).setChance(1.0);
    PHOTONIUM.addItemInput(<botania:manaresource:7>).setChance(1.0);
    PHOTONIUM.addItemInput(<extrabotany:gildedmashedpotato>).setChance(1.0);
    PHOTONIUM.addItemInput(<botania:livingrock>).setChance(1.0);
    PHOTONIUM.addItemOutput(<extrabotany:material:8>).setChance(1.0);
    PHOTONIUM.build();		
	
// ===SHADOWIUM===

    val SHADOWIUM = mods.modularmachinery.RecipeBuilder.newBuilder("SHADOWIUM",machine,20);
    SHADOWIUM.addEnergyPerTickInput(3600);
    SHADOWIUM.addItemInput(<extrabotany:nightmarefuel>).setChance(1.0);
    SHADOWIUM.addItemInput(<extrabotany:nightmarefuel>).setChance(1.0);
    SHADOWIUM.addItemInput(<extrabotany:nightmarefuel>).setChance(1.0);
    SHADOWIUM.addItemInput(<botania:manaresource:7>).setChance(1.0);
    SHADOWIUM.addItemInput(<extrabotany:gildedmashedpotato>).setChance(1.0);
    SHADOWIUM.addItemInput(<botania:livingrock>).setChance(1.0);
    SHADOWIUM.addItemOutput(<extrabotany:material:5>).setChance(1.0);
    SHADOWIUM.build();	
	
// ===SPIRITFUEL===

    val SPIRITFUEL = mods.modularmachinery.RecipeBuilder.newBuilder("SPIRITFUEL",machine,20);
    SPIRITFUEL.addEnergyPerTickInput(3600);
    SPIRITFUEL.addItemInput(<extrabotany:nightmarefuel>).setChance(1.0);
    SPIRITFUEL.addItemOutput(<extrabotany:spiritfuel>).setChance(1.0);
    SPIRITFUEL.build();	
	
// ===PUREDAISY_1===

    val PUREDAISY_1 = mods.modularmachinery.RecipeBuilder.newBuilder("PUREDAISY_1",machine,600);
    PUREDAISY_1.addEnergyPerTickInput(1800);
    PUREDAISY_1.addItemInput(<botania:specialflower>.withTag({type: "puredaisy"})).setChance(0.0);
    PUREDAISY_1.addItemInput(<minecraft:stone> * 8).setChance(1.0);
    PUREDAISY_1.addItemOutput(<botania:livingrock> * 8).setChance(1.0);
    PUREDAISY_1.build();	

// ===PUREDAISY_2===

    val PUREDAISY_2 = mods.modularmachinery.RecipeBuilder.newBuilder("PUREDAISY_2",machine,600);
    PUREDAISY_2.addEnergyPerTickInput(1800);
    PUREDAISY_2.addItemInput(<botania:specialflower>.withTag({type: "puredaisy"})).setChance(0.0);
    PUREDAISY_2.addItemInput(<ore:logWood>,8).setChance(1.0);
    PUREDAISY_2.addItemOutput(<botania:livingwood> * 8).setChance(1.0);
    PUREDAISY_2.build();	
	
// ===MANDARIN_NY===

    val MANDARIN_NY = mods.modularmachinery.RecipeBuilder.newBuilder("MANDARIN_NY",machine,72000);
    MANDARIN_NY.addEnergyPerTickInput(18);
    MANDARIN_NY.addItemInput(<aquaculture:loot:144>).setChance(0.0);
    MANDARIN_NY.addItemOutput(<aquaculture:mandarin_ny> * 16).setChance(1.0);
    MANDARIN_NY.build();

// ===TERRASTEEL===

    //val TERRASTEEL = mods.modularmachinery.RecipeBuilder.newBuilder("TERRASTEEL",machine,40);
    //TERRASTEEL.addEnergyPerTickInput(3600);
    //TERRASTEEL.addItemInput(<botania:manaresource:1>).setChance(1.0);
    //TERRASTEEL.addItemInput(<botania:manaresource>).setChance(1.0);
    //TERRASTEEL.addItemInput(<botania:manaresource:2>).setChance(1.0);
    //TERRASTEEL.addItemOutput(<botania:manaresource:4>).setChance(1.0);
    //TERRASTEEL.build();	