import mods.modularmachinery.RecipePrimer;
import crafttweaker.oredict.IOreDict;
import crafttweaker.oredict.IOreDictEntry;
import crafttweaker.item.IItemStack;
import crafttweaker.item.IIngredient;
import crafttweaker.liquid.ILiquidStack;
import crafttweaker.data.IData;

var machine = "industrial_anvil";

// ===ALLOY_1===

    val ALLOY_1 = mods.modularmachinery.RecipeBuilder.newBuilder("ALLOY_1",machine,9000);
    ALLOY_1.addEnergyPerTickInput(18000); // 180000 до правок баланса
    ALLOY_1.addItemInput(<ore:ingotSteel>,64);
    ALLOY_1.addItemInput(<ore:ingotGold>,64);
    ALLOY_1.addItemInput(<ore:ingotIron>,64);
    ALLOY_1.addItemInput(<ore:ingotCopper>,64);
    ALLOY_1.addItemInput(<ore:ingotAluminum>,64);
    ALLOY_1.addItemInput(<ore:ingotNickel>,64);
    ALLOY_1.addItemInput(<ore:ingotOsmium>,64);
    ALLOY_1.addItemInput(<ore:ingotBronze>,64);
    ALLOY_1.addItemInput(<ore:ingotLead>,64);
    ALLOY_1.addItemInput(<ore:ingotTin>,64);
    ALLOY_1.addItemInput(<ore:ingotSilver>,64);
    ALLOY_1.addItemInput(<ore:ingotPlatinum>,64);
    ALLOY_1.addItemOutput(<aquaculture:loot:92>).setChance(1.0);
    ALLOY_1.build();
	
// ===CAPSULE===

    val CAPSULE = mods.modularmachinery.RecipeBuilder.newBuilder("CAPSULE",machine,36000); // 72000 до правок баланса 
    CAPSULE.addEnergyPerTickInput(18000); // 180000 до правок баланса
    CAPSULE.addItemInput(<ore:plateDenseCopper>,64); // 128-OB было когда-то
    CAPSULE.addItemInput(<ore:plateDenseCopper>,32); // 128-OB было когда-то
    CAPSULE.addItemInput(<ore:plateDenseGold>,48); // 128-OB было когда-то
    CAPSULE.addItemInput(<ore:plateDenseIron>,64); // 128-OB было когда-то
    CAPSULE.addItemInput(<ore:plateDenseIron>,32); // 128-OB было когда-то
    CAPSULE.addItemInput(<ore:plateDenseLead>,64); // 128-OB было когда-то
    CAPSULE.addItemInput(<ore:plateDenseLead>,32); // 128-OB было когда-то
    CAPSULE.addItemInput(<ore:plateDenseTin>,64); // 128-OB было когда-то
    CAPSULE.addItemInput(<ore:plateDenseTin>,32); // 128-OB было когда-то
    CAPSULE.addItemInput(<ore:blockQuartz>,64); // 128-OB было когда-то
    CAPSULE.addItemInput(<ore:blockQuartz>,32); // 128-OB было когда-то
    CAPSULE.addItemInput(<ore:gearDiamond>,64); // 128-OB было когда-то
    CAPSULE.addItemInput(<ore:gearDiamond>,32); // 128-OB было когда-то
    CAPSULE.addItemInput(<ore:circuitAdvanced>,64); // 128-OB было когда-то
    CAPSULE.addItemInput(<ore:circuitAdvanced>,32); // 128-OB было когда-то
    CAPSULE.addItemInput(<ic2:resource:12> * 64); // 128-OB было когда-то
    CAPSULE.addItemInput(<ic2:resource:12> * 32); // 128-OB было когда-то
    CAPSULE.addItemInput(<advancedmachines:machines:1>);
    CAPSULE.addItemInput(<advancedmachines:machines>);
    CAPSULE.addItemInput(<advancedmachines:machines:2>);
    CAPSULE.addItemInput(<advancedmachines:machines:3>);
    CAPSULE.addItemInput(<advanced_solar_panels:machines:2>);
    CAPSULE.addItemOutput(<aquaculture:loot:111>);
    CAPSULE.build();	
	
// ===STARSHIP_T5===
 
    val STARSHIP_T5 = mods.modularmachinery.RecipeBuilder.newBuilder("STARSHIP_T5",machine,72000);
    STARSHIP_T5.addEnergyPerTickInput(18000); // 180000 до правок баланса
    STARSHIP_T5.addItemInput(<aquaculture:loot:92> * 32);
    STARSHIP_T5.addItemInput(<aquaculture:loot:62>);
    STARSHIP_T5.addItemInput(<aquaculture:loot:65>);
    STARSHIP_T5.addItemOutput(<aquaculture:loot:84>).setChance(1.0);
    STARSHIP_T5.addItemOutput(<aquaculture:loot:85>).setChance(1.0);
    STARSHIP_T5.addItemOutput(<aquaculture:loot:86>).setChance(1.0);
    STARSHIP_T5.addItemOutput(<aquaculture:loot:87>).setChance(1.0);
    STARSHIP_T5.addItemOutput(<aquaculture:loot:88>).setChance(1.0);
    STARSHIP_T5.addItemOutput(<aquaculture:loot:139>).setChance(1.0);
    STARSHIP_T5.build();
	
	
//==========================================================================================================================
	
	
// ===SOLARIUM_STAR===

    val SOLARIUM_STAR = mods.modularmachinery.RecipeBuilder.newBuilder("SOLARIUM_STAR",machine,72000);
    SOLARIUM_STAR.addEnergyPerTickInput(18000); // 180000 до правок баланса
    SOLARIUM_STAR.addItemInput(<aquaculture:loot:71> * 1);
    SOLARIUM_STAR.addItemOutput(<aquaculture:loot:72>).setChance(1.0);
    SOLARIUM_STAR.build();
	
// ===ASTRAL_BAR===

    val ASTRAL_BAR = mods.modularmachinery.RecipeBuilder.newBuilder("ASTRAL_BAR",machine,72000);
    ASTRAL_BAR.addEnergyPerTickInput(18000); // 180000 до правок баланса
    ASTRAL_BAR.addItemInput(<aquaculture:loot:123> * 1);
    ASTRAL_BAR.addItemOutput(<aquaculture:loot:122>).setChance(1.0);
    ASTRAL_BAR.build();	
	
// ===DURASTEEL_BAR===

    val DURASTEEL_BAR = mods.modularmachinery.RecipeBuilder.newBuilder("DURASTEEL_BAR",machine,200);
    DURASTEEL_BAR.addEnergyPerTickInput(1800);
    DURASTEEL_BAR.addItemInput(<aquaculture:loot:54> * 1);
    DURASTEEL_BAR.addItemInput(<minecraft:coal> * 64);
    DURASTEEL_BAR.addItemOutput(<aquaculture:loot:53>).setChance(1.0);
    DURASTEEL_BAR.build();		
	
// ===REFINED_AEGISALT===

    val REFINED_AEGISALT = mods.modularmachinery.RecipeBuilder.newBuilder("REFINED_AEGISALT",machine,200);
    REFINED_AEGISALT.addEnergyPerTickInput(1800);
    REFINED_AEGISALT.addItemInput(<aquaculture:loot:56> * 1);
    REFINED_AEGISALT.addItemInput(<minecraft:coal> * 64);
    REFINED_AEGISALT.addItemOutput(<aquaculture:loot:58>).setChance(1.0);
    REFINED_AEGISALT.build();	

// ===REFINED_FEROZIUM===

    val REFINED_FEROZIUM = mods.modularmachinery.RecipeBuilder.newBuilder("REFINED_FEROZIUM",machine,200);
    REFINED_FEROZIUM.addEnergyPerTickInput(1800);
    REFINED_FEROZIUM.addItemInput(<aquaculture:loot:61> * 1);
    REFINED_FEROZIUM.addItemInput(<minecraft:coal> * 64);
    REFINED_FEROZIUM.addItemOutput(<aquaculture:loot:63>).setChance(1.0);
    REFINED_FEROZIUM.build();	
	
// ===REFINED_VIOLIUM===

    val REFINED_VIOLIUM = mods.modularmachinery.RecipeBuilder.newBuilder("REFINED_VIOLIUM",machine,200);
    REFINED_VIOLIUM.addEnergyPerTickInput(1800);
    REFINED_VIOLIUM.addItemInput(<aquaculture:loot:69> * 1);
    REFINED_VIOLIUM.addItemInput(<minecraft:coal> * 64);
    REFINED_VIOLIUM.addItemOutput(<aquaculture:loot:66>).setChance(1.0);
    REFINED_VIOLIUM.build();
	
// ===TWILIGHT_INGOT===
 
    val TWILIGHT_INGOT = mods.modularmachinery.RecipeBuilder.newBuilder("TWILIGHT_INGOT",machine,200);
    TWILIGHT_INGOT.addEnergyPerTickInput(1800);
    TWILIGHT_INGOT.addItemInput(<aquaculture:loot:198>);
    TWILIGHT_INGOT.addItemOutput(<aquaculture:loot:199>);
    TWILIGHT_INGOT.build();
	
	
//==========================================================================================================================
	
	
// ===MICROCIRCUIT_ST1===

    val MICROCIRCUIT_ST1 = mods.modularmachinery.RecipeBuilder.newBuilder("MICROCIRCUIT_ST1",machine,18000);
    MICROCIRCUIT_ST1.addEnergyPerTickInput(18000); // 180000 до правок баланса
    MICROCIRCUIT_ST1.addItemInput(<minecraft:redstone> * 64);
    MICROCIRCUIT_ST1.addItemInput(<minecraft:flint> * 64);
    MICROCIRCUIT_ST1.addItemInput(<minecraft:iron_ingot> * 64);
    MICROCIRCUIT_ST1.addItemInput(<minecraft:gold_ingot> * 64);
    MICROCIRCUIT_ST1.addItemInput(<modulardecorations:assembly_laser>);
    MICROCIRCUIT_ST1.addItemOutput(<aquaculture:loot:57>).setChance(0.75);
    MICROCIRCUIT_ST1.build();
	
// ===MICROCIRCUIT_ST2===

    val MICROCIRCUIT_ST2 = mods.modularmachinery.RecipeBuilder.newBuilder("MICROCIRCUIT_ST2",machine,18000);
    MICROCIRCUIT_ST2.addEnergyPerTickInput(18000); // 180000 до правок баланса
    MICROCIRCUIT_ST2.addItemInput(<aquaculture:loot:57>);
    MICROCIRCUIT_ST2.addItemInput(<modulardecorations:assembly_laser>);
    MICROCIRCUIT_ST2.addItemInput(<minecraft:redstone> * 64);
    MICROCIRCUIT_ST2.addItemInput(<minecraft:diamond> * 64);
    MICROCIRCUIT_ST2.addItemInput(<minecraft:iron_ingot> * 64);
    MICROCIRCUIT_ST2.addItemInput(<minecraft:gold_ingot> * 64);
    MICROCIRCUIT_ST2.addItemOutput(<aquaculture:loot:62>).setChance(0.5);
    MICROCIRCUIT_ST2.build();	
	
// ===MICROCIRCUIT_ST3===

    val MICROCIRCUIT_ST3 = mods.modularmachinery.RecipeBuilder.newBuilder("MICROCIRCUIT_ST3",machine,18000);
    MICROCIRCUIT_ST3.addEnergyPerTickInput(18000); // 180000 до правок баланса
    MICROCIRCUIT_ST3.addItemInput(<aquaculture:loot:62>);
    MICROCIRCUIT_ST3.addItemInput(<modulardecorations:assembly_laser>);
    MICROCIRCUIT_ST3.addItemInput(<minecraft:redstone> * 64);
    MICROCIRCUIT_ST3.addItemInput(<minecraft:dye:4> * 64);
    MICROCIRCUIT_ST3.addItemInput(<minecraft:iron_ingot> * 64);
    MICROCIRCUIT_ST3.addItemInput(<minecraft:gold_ingot> * 64);
    MICROCIRCUIT_ST3.addItemOutput(<aquaculture:loot:65>).setChance(0.25);
    MICROCIRCUIT_ST3.build();		
	
// ===TECH_STATION===

    val TECH_STATION = mods.modularmachinery.RecipeBuilder.newBuilder("TECH_STATION",machine,18000);
    TECH_STATION.addEnergyPerTickInput(18000); // 180000 до правок баланса
    TECH_STATION.addItemInput(<aquaculture:loot:57>);
    TECH_STATION.addItemInput(<appliedenergistics2:quartz_vibrant_glass> * 64);
    TECH_STATION.addItemInput(<ic2:resource:12> * 64);
    TECH_STATION.addItemOutput(<aquaculture:loot:75>).setChance(1.0);
    TECH_STATION.build();	
	
// ===FUEL_HATCH===

    val FUEL_HATCH = mods.modularmachinery.RecipeBuilder.newBuilder("FUEL_HATCH",machine,18000);
    FUEL_HATCH.addEnergyPerTickInput(18000); // 180000 до правок баланса
    FUEL_HATCH.addItemInput(<aquaculture:loot:57>);
    FUEL_HATCH.addItemInput(<ore:ingotAluminum>,64);
    FUEL_HATCH.addItemInput(<ore:dustLithium>,64);
    FUEL_HATCH.addItemOutput(<aquaculture:loot:74>).setChance(1.0);
    FUEL_HATCH.build();	


//==========================================================================================================================


// ===TELESCOPE===

    val TELESCOPE = mods.modularmachinery.RecipeBuilder.newBuilder("TELESCOPE",machine,18000);
    TELESCOPE.addEnergyPerTickInput(18000); // 180000 до правок баланса
    TELESCOPE.addItemInput(<appliedenergistics2:quartz_vibrant_glass> * 64);
    TELESCOPE.addItemInput(<thermalfoundation:material:26> * 64);
    TELESCOPE.addItemInput(<ic2:resource:12> * 64);
    TELESCOPE.addItemOutput(<aquaculture:loot:105>).setChance(1.0);
    TELESCOPE.build();	

// ===MOLDING===
 
    val MOLDING = mods.modularmachinery.RecipeBuilder.newBuilder("MOLDING",machine,36000);
    MOLDING.addEnergyPerTickInput(18000); // 180000 до правок баланса
    MOLDING.addItemInput(<minecraft:piston> * 64);
    MOLDING.addItemInput(<thermalfoundation:material:26> * 64);
    MOLDING.addItemInput(<minecraft:iron_block> * 64);
    MOLDING.addItemOutput(<aquaculture:loot:109>).setChance(1.0);
    MOLDING.build();	
	
// ===ENERGY===

    val ENERGY = mods.modularmachinery.RecipeBuilder.newBuilder("ENERGY",machine,72000).applyAnimation();
    ENERGY.addEnergyPerTickInput(18000); // 180000 до правок баланса
    ENERGY.addItemInput(<minecraft:redstone_block> * 64);
    ENERGY.addItemInput(<minecraft:gold_block> * 64);
    ENERGY.addItemInput(<thermalfoundation:material:26> * 64);
    ENERGY.addItemInput(<aquaculture:loot:94>);
    ENERGY.addItemOutput(<aquaculture:loot:107>).setChance(1.0);
    ENERGY.build();
	
// ===SPEED===

    val SPEED = mods.modularmachinery.RecipeBuilder.newBuilder("SPEED",machine,72000).applyAnimation();
    SPEED.addEnergyPerTickInput(18000); // 180000 до правок баланса
    SPEED.addItemInput(<minecraft:rail> * 64);
    SPEED.addItemInput(<minecraft:emerald_block> * 64);
    SPEED.addItemInput(<thermalfoundation:material:26> * 64);
    SPEED.addItemInput(<aquaculture:loot:94>);
    SPEED.addItemOutput(<aquaculture:loot:108>).setChance(1.0);
    SPEED.build();	


//==========================================================================================================================


// ===ROD_EMPTY===
 
    val ROD_EMPTY = mods.modularmachinery.RecipeBuilder.newBuilder("ROD_EMPTY",machine,6000);
    ROD_EMPTY.addEnergyPerTickInput(18000);
    ROD_EMPTY.addItemInput(<ic2:plate:14> * 12);
    ROD_EMPTY.addItemOutput(<aquaculture:loot:140>).setChance(1.0);
    ROD_EMPTY.build();	
	
// ===ROD_BALEFIRE===
 
    val ROD_BALEFIRE = mods.modularmachinery.RecipeBuilder.newBuilder("ROD_BALEFIRE",machine,6000);
    ROD_BALEFIRE.addEnergyPerTickInput(18000);
    ROD_BALEFIRE.addItemInput(<aquaculture:loot:140> * 1);
    ROD_BALEFIRE.addItemInput(<advanced_solar_panels:crafting:3> * 2);
    ROD_BALEFIRE.addItemInput(<advanced_solar_panels:crafting> * 1);
    ROD_BALEFIRE.addItemOutput(<aquaculture:loot:141>).setChance(1.0);
    ROD_BALEFIRE.build();
	
// ===BATTERY_BALEFIRE===
 
    val BATTERY_BALEFIRE = mods.modularmachinery.RecipeBuilder.newBuilder("BATTERY_BALEFIRE",machine,18000);
    BATTERY_BALEFIRE.addEnergyPerTickInput(18000);
    BATTERY_BALEFIRE.addItemInput(<aquaculture:loot:142> * 3);
    BATTERY_BALEFIRE.addItemInput(<ic2:plate:14> * 11);
    BATTERY_BALEFIRE.addItemInput(<advanced_solar_panels:crafting:5> * 1);
    BATTERY_BALEFIRE.addItemOutput(<aquaculture:loot:143>).setChance(1.0);
    BATTERY_BALEFIRE.build();	
	

//==========================================================================================================================


// ===SOUL_CONTAINER===
 
    val SOUL_CONTAINER = mods.modularmachinery.RecipeBuilder.newBuilder("SOUL_CONTAINER",machine,6000);
    SOUL_CONTAINER.addEnergyPerTickInput(18000);
    SOUL_CONTAINER.addItemInput(<minecraft:iron_ingot> * 64);
    SOUL_CONTAINER.addItemInput(<appliedenergistics2:quartz_glass> * 8);
    SOUL_CONTAINER.addItemOutput(<aquaculture:loot:179>).setChance(1.0);
    SOUL_CONTAINER.build();
	
//==========================================================================================================================


// ===HARVESTER1===
 
    val HARVESTER1 = mods.modularmachinery.RecipeBuilder.newBuilder("HARVESTER1",machine,18000);
    HARVESTER1.addEnergyPerTickInput(18000);
    HARVESTER1.addItemInput(<ore:plateIron>,64);
    HARVESTER1.addItemInput(<aquaculture:loot:78>);
    HARVESTER1.addItemOutput(<aquaculture:loot:177>);
    HARVESTER1.build();

// ===HAZMAT_SUIT1===
 
    val HAZMAT_SUIT1 = mods.modularmachinery.RecipeBuilder.newBuilder("HAZMAT_SUIT1",machine,6000);
    HAZMAT_SUIT1.addEnergyPerTickInput(9000);
    HAZMAT_SUIT1.addItemInput(<ore:plateDenseLead>,6);
    HAZMAT_SUIT1.addItemInput(<ic2:fluid_cell> * 2);
    HAZMAT_SUIT1.addItemInput(<thermalfoundation:glass:3>);
    HAZMAT_SUIT1.addItemOutput(<aquaculture:loot:176>);
    HAZMAT_SUIT1.build();	
	
// ===DIVING4===
 
    val DIVING4 = mods.modularmachinery.RecipeBuilder.newBuilder("DIVING4",machine,6000);
    DIVING4.addEnergyPerTickInput(9000);
    DIVING4.addItemInput(<ic2:crafting> * 6);
    DIVING4.addItemInput(<ic2:fluid_cell> * 2);
    DIVING4.addItemInput(<tconstruct:clear_glass>);
    DIVING4.addItemOutput(<aquaculture:loot:174>);
    DIVING4.build();		


//==========================================================================================================================


	val PLATE_1U = mods.modularmachinery.RecipeBuilder.newBuilder("PLATE_1U",machine,20);
	PLATE_1U.addEnergyPerTickInput(3200);
	PLATE_1U.addItemInput(<aquaculture:loot:109>).setChance(0.0);
	PLATE_1U.addItemInput(<ic2:plate:3>).setChance(0.0);
	PLATE_1U.addItemInput(<ore:ingotIron>,64);
	PLATE_1U.addItemOutput(<ic2:plate:3> * 64);
	PLATE_1U.build();



	val PLATE_2U = mods.modularmachinery.RecipeBuilder.newBuilder("PLATE_2U",machine,20);
	PLATE_2U.addEnergyPerTickInput(3200);
	PLATE_2U.addItemInput(<aquaculture:loot:109>).setChance(0.0);
	PLATE_2U.addItemInput(<ic2:plate:8>).setChance(0.0);
	PLATE_2U.addItemInput(<ore:ingotTin>,64);
	PLATE_2U.addItemOutput(<ic2:plate:8> * 64);
	PLATE_2U.build();



	val PLATE_3U = mods.modularmachinery.RecipeBuilder.newBuilder("PLATE_3U",machine,20);
	PLATE_3U.addEnergyPerTickInput(3200);
	PLATE_3U.addItemInput(<aquaculture:loot:109>).setChance(0.0);
	PLATE_3U.addItemInput(<ic2:plate>).setChance(0.0);
	PLATE_3U.addItemInput(<ore:ingotBronze>,64);
	PLATE_3U.addItemOutput(<ic2:plate> * 64);
	PLATE_3U.build();



	val PLATE_4U = mods.modularmachinery.RecipeBuilder.newBuilder("PLATE_4U",machine,20);
	PLATE_4U.addEnergyPerTickInput(3200);
	PLATE_4U.addItemInput(<aquaculture:loot:109>).setChance(0.0);
	PLATE_4U.addItemInput(<ic2:plate:1>).setChance(0.0);
	PLATE_4U.addItemInput(<ore:ingotCopper>,64);
	PLATE_4U.addItemOutput(<ic2:plate:1> * 64);
	PLATE_4U.build();



	val PLATE_5U = mods.modularmachinery.RecipeBuilder.newBuilder("PLATE_5U",machine,20);
	PLATE_5U.addEnergyPerTickInput(3200);
	PLATE_5U.addItemInput(<aquaculture:loot:109>).setChance(0.0);
	PLATE_5U.addItemInput(<ic2:plate:7>).setChance(0.0);
	PLATE_5U.addItemInput(<ore:ingotSteel>,64);
	PLATE_5U.addItemOutput(<ic2:plate:7> * 64);
	PLATE_5U.build();



	val PLATE_6U = mods.modularmachinery.RecipeBuilder.newBuilder("PLATE_6U",machine,20);
	PLATE_6U.addEnergyPerTickInput(3200);
	PLATE_6U.addItemInput(<aquaculture:loot:109>).setChance(0.0);
	PLATE_6U.addItemInput(<ic2:plate:5>).setChance(0.0);
	PLATE_6U.addItemInput(<ore:ingotLead>,64);
	PLATE_6U.addItemOutput(<ic2:plate:5> * 64);
	PLATE_6U.build();



	val PLATE_7U = mods.modularmachinery.RecipeBuilder.newBuilder("PLATE_7U",machine,20);
	PLATE_7U.addEnergyPerTickInput(3200);
	PLATE_7U.addItemInput(<aquaculture:loot:109>).setChance(0.0);
	PLATE_7U.addItemInput(<ic2:plate:2>).setChance(0.0);
	PLATE_7U.addItemInput(<ore:ingotGold>,64);
	PLATE_7U.addItemOutput(<ic2:plate:2> * 64);
	PLATE_7U.build();


//==========================================================================================================================


	val CABLE_1U = mods.modularmachinery.RecipeBuilder.newBuilder("CABLE_1U",machine,20);
	CABLE_1U.addEnergyPerTickInput(3200);
	CABLE_1U.addItemInput(<aquaculture:loot:109>).setChance(0.0);
	CABLE_1U.addItemInput(<ic2:cable:4>.withTag({type: 4 as byte, insulation: 0 as byte})).setChance(0.0);
	CABLE_1U.addItemInput(<ore:plateTin>,22);
	CABLE_1U.addItemOutput(<ic2:cable:4>.withTag({type: 4 as byte, insulation: 0 as byte}) * 64);
	CABLE_1U.build();

	val CABLE_1U_2 = mods.modularmachinery.RecipeBuilder.newBuilder("CABLE_1U_2",machine,20);
	CABLE_1U_2.addEnergyPerTickInput(3200);
	CABLE_1U_2.addItemInput(<aquaculture:loot:109>).setChance(0.0);
	CABLE_1U_2.addItemInput(<ic2:cable:4>.withTag({type: 4 as byte, insulation: 0 as byte})).setChance(0.0);
	CABLE_1U_2.addItemInput(<ore:ingotTin>,22);
	CABLE_1U_2.addItemOutput(<ic2:cable:4>.withTag({type: 4 as byte, insulation: 0 as byte}) * 64);
	CABLE_1U_2.build();



	val CABLE_2U = mods.modularmachinery.RecipeBuilder.newBuilder("CABLE_2U",machine,20);
	CABLE_2U.addEnergyPerTickInput(3200);
	CABLE_2U.addItemInput(<aquaculture:loot:109>).setChance(0.0);
	CABLE_2U.addItemInput(<ic2:cable>.withTag({type: 0 as byte, insulation: 0 as byte})).setChance(0.0);
	CABLE_2U.addItemInput(<ore:plateCopper>,22);
	CABLE_2U.addItemOutput(<ic2:cable>.withTag({type: 0 as byte, insulation: 0 as byte}) * 64);
	CABLE_2U.build();

	val CABLE_2U_2 = mods.modularmachinery.RecipeBuilder.newBuilder("CABLE_2U_2",machine,20);
	CABLE_2U_2.addEnergyPerTickInput(3200);
	CABLE_2U_2.addItemInput(<aquaculture:loot:109>).setChance(0.0);
	CABLE_2U_2.addItemInput(<ic2:cable>.withTag({type: 0 as byte, insulation: 0 as byte})).setChance(0.0);	
	CABLE_2U_2.addItemInput(<ore:ingotCopper>,22);
	CABLE_2U_2.addItemOutput(<ic2:cable>.withTag({type: 0 as byte, insulation: 0 as byte}) * 64);
	CABLE_2U_2.build();



	val CABLE_3U = mods.modularmachinery.RecipeBuilder.newBuilder("CABLE_3U",machine,20);
	CABLE_3U.addEnergyPerTickInput(3200);
	CABLE_3U.addItemInput(<aquaculture:loot:109>).setChance(0.0);
	CABLE_3U.addItemInput(<ic2:cable:2>.withTag({type: 2 as byte, insulation: 0 as byte})).setChance(0.0);	
	CABLE_3U.addItemInput(<ore:plateGold>,22);
	CABLE_3U.addItemOutput(<ic2:cable:2>.withTag({type: 2 as byte, insulation: 0 as byte}) * 64);
	CABLE_3U.build();

	val CABLE_3U_2 = mods.modularmachinery.RecipeBuilder.newBuilder("CABLE_3U_2",machine,20);
	CABLE_3U_2.addEnergyPerTickInput(3200);
	CABLE_3U_2.addItemInput(<aquaculture:loot:109>).setChance(0.0);
	CABLE_3U_2.addItemInput(<ic2:cable:2>.withTag({type: 2 as byte, insulation: 0 as byte})).setChance(0.0);	
	CABLE_3U_2.addItemInput(<ore:ingotGold>,22);
	CABLE_3U_2.addItemOutput(<ic2:cable:2>.withTag({type: 2 as byte, insulation: 0 as byte}) * 64);
	CABLE_3U_2.build();



	val CABLE_4U = mods.modularmachinery.RecipeBuilder.newBuilder("CABLE_4U",machine,20);
	CABLE_4U.addEnergyPerTickInput(3200);
	CABLE_4U.addItemInput(<aquaculture:loot:109>).setChance(0.0);
	CABLE_4U.addItemInput(<ic2:cable:3>.withTag({type: 3 as byte, insulation: 0 as byte})).setChance(0.0);	
	CABLE_4U.addItemInput(<ore:plateIron>,22);
	CABLE_4U.addItemOutput(<ic2:cable:3>.withTag({type: 3 as byte, insulation: 0 as byte}) * 64);
	CABLE_4U.build();

	val CABLE_4U_2 = mods.modularmachinery.RecipeBuilder.newBuilder("CABLE_4U_2",machine,20);
	CABLE_4U_2.addEnergyPerTickInput(3200);
	CABLE_4U_2.addItemInput(<aquaculture:loot:109>).setChance(0.0);
	CABLE_4U_2.addItemInput(<ic2:cable:3>.withTag({type: 3 as byte, insulation: 0 as byte})).setChance(0.0);	
	CABLE_4U_2.addItemInput(<ore:ingotIron>,22);
	CABLE_4U_2.addItemOutput(<ic2:cable:3>.withTag({type: 3 as byte, insulation: 0 as byte}) * 64);
	CABLE_4U_2.build();


//==========================================================================================================================


	val ROD_1U = mods.modularmachinery.RecipeBuilder.newBuilder("ROD_1U",machine,20);
	ROD_1U.addEnergyPerTickInput(3200);
	ROD_1U.addItemInput(<aquaculture:loot:109>).setChance(0.0);
	ROD_1U.addItemInput(<ic2:crafting:42>).setChance(0.0);	
	ROD_1U.addItemInput(<ore:blockBronze>,64);
	ROD_1U.addItemOutput(<ic2:crafting:42> * 64);
	ROD_1U.build();



	val ROD_2U = mods.modularmachinery.RecipeBuilder.newBuilder("ROD_2U",machine,20);
	ROD_2U.addEnergyPerTickInput(3200);
	ROD_2U.addItemInput(<aquaculture:loot:109>).setChance(0.0);
	ROD_2U.addItemInput(<ic2:crafting:30>).setChance(0.0);	
	ROD_2U.addItemInput(<ore:blockSteel>,64);
	ROD_2U.addItemOutput(<ic2:crafting:30> * 64);
	ROD_2U.build();



	val ROD_3U = mods.modularmachinery.RecipeBuilder.newBuilder("ROD_3U",machine,20);
	ROD_3U.addEnergyPerTickInput(3200);
	ROD_3U.addItemInput(<aquaculture:loot:109>).setChance(0.0);
	ROD_3U.addItemInput(<ic2:crafting:29>).setChance(0.0);
	ROD_3U.addItemInput(<ore:blockIron>,64);
	ROD_3U.addItemOutput(<ic2:crafting:29> * 64);
	ROD_3U.build();


//==========================================================================================================================


	val CASING_1U = mods.modularmachinery.RecipeBuilder.newBuilder("CASING_1U",machine,20);
	CASING_1U.addEnergyPerTickInput(3200);
	CASING_1U.addItemInput(<aquaculture:loot:109>).setChance(0.0);
	CASING_1U.addItemInput(<ic2:casing:3>).setChance(0.0);	
	CASING_1U.addItemInput(<ore:plateIron>,32);
	CASING_1U.addItemOutput(<ic2:casing:3> * 64);
	CASING_1U.build();



	val CASING_2U = mods.modularmachinery.RecipeBuilder.newBuilder("CASING_2U",machine,20);
	CASING_2U.addEnergyPerTickInput(3200);
	CASING_2U.addItemInput(<aquaculture:loot:109>).setChance(0.0);
	CASING_2U.addItemInput(<ic2:casing:6>).setChance(0.0);
	CASING_2U.addItemInput(<ore:plateTin>,32);
	CASING_2U.addItemOutput(<ic2:casing:6> * 64);
	CASING_2U.build();



	val CASING_3U = mods.modularmachinery.RecipeBuilder.newBuilder("CASING_3U",machine,20);
	CASING_3U.addEnergyPerTickInput(3200);
	CASING_3U.addItemInput(<aquaculture:loot:109>).setChance(0.0);
	CASING_3U.addItemInput(<ic2:casing>).setChance(0.0);	
	CASING_3U.addItemInput(<ore:plateBronze>,32);
	CASING_3U.addItemOutput(<ic2:casing> * 64);
	CASING_3U.build();



	val CASING_4U = mods.modularmachinery.RecipeBuilder.newBuilder("CASING_4U",machine,20);
	CASING_4U.addEnergyPerTickInput(3200);
	CASING_4U.addItemInput(<aquaculture:loot:109>).setChance(0.0);
	CASING_4U.addItemInput(<ic2:casing:1>).setChance(0.0);	
	CASING_4U.addItemInput(<ore:plateCopper>,32);
	CASING_4U.addItemOutput(<ic2:casing:1> * 64);
	CASING_4U.build();



	val CASING_5U = mods.modularmachinery.RecipeBuilder.newBuilder("CASING_5U",machine,20);
	CASING_5U.addEnergyPerTickInput(3200);
	CASING_5U.addItemInput(<aquaculture:loot:109>).setChance(0.0);
	CASING_5U.addItemInput(<ic2:casing:5>).setChance(0.0);	
	CASING_5U.addItemInput(<ore:plateSteel>,32);
	CASING_5U.addItemOutput(<ic2:casing:5> * 64);
	CASING_5U.build();



	val CASING_6U = mods.modularmachinery.RecipeBuilder.newBuilder("CASING_6U",machine,20);
	CASING_6U.addEnergyPerTickInput(3200);
	CASING_6U.addItemInput(<aquaculture:loot:109>).setChance(0.0);
	CASING_6U.addItemInput(<ic2:casing:4>).setChance(0.0);	
	CASING_6U.addItemInput(<ore:plateLead>,32);
	CASING_6U.addItemOutput(<ic2:casing:4> * 64);
	CASING_6U.build();



	val CASING_7U = mods.modularmachinery.RecipeBuilder.newBuilder("CASING_7U",machine,20);
	CASING_7U.addEnergyPerTickInput(3200);
	CASING_7U.addItemInput(<aquaculture:loot:109>).setChance(0.0);
	CASING_7U.addItemInput(<ic2:casing:2>).setChance(0.0);	
	CASING_7U.addItemInput(<ore:plateGold>,32);
	CASING_7U.addItemOutput(<ic2:casing:2> * 64);
	CASING_7U.build();