import mods.modularmachinery.RecipePrimer;
import crafttweaker.oredict.IOreDict;
import crafttweaker.oredict.IOreDictEntry;
import crafttweaker.item.IItemStack;
import crafttweaker.item.IIngredient;
import crafttweaker.liquid.ILiquidStack;
import crafttweaker.data.IData;

var machine = "plort_factory";

// ===INDUSTRIAL_PLORT===

    val INDUSTRIAL_PLORT = mods.modularmachinery.RecipeBuilder.newBuilder("INDUSTRIAL_PLORT",machine,72000).applyAnimation();
	INDUSTRIAL_PLORT.addEnergyPerTickInput(180000);  // 1800000 до правок баланса
	INDUSTRIAL_PLORT.addItemInput(<slimerancher:slime_cell>.withTag({id: "slimerancher:desert_king"})).setChance(0.0);
	INDUSTRIAL_PLORT.addItemInput(<slimerancher:slime_cell:1>.withTag({id: "slimerancher:plains_king"})).setChance(0.0);
	INDUSTRIAL_PLORT.addItemInput(<slimerancher:slime_cell:2>.withTag({id: "slimerancher:water_king"})).setChance(0.0);
	INDUSTRIAL_PLORT.addItemInput(<slimerancher:slime_cell:3>.withTag({id: "slimerancher:snow_king"})).setChance(0.0);
	INDUSTRIAL_PLORT.addItemInput(<slimerancher:slime_cell:4>.withTag({id: "slimerancher:swamp_king"})).setChance(0.0);
	INDUSTRIAL_PLORT.addItemInput(<slimerancher:slime_cell:5>.withTag({id: "slimerancher:stone_king"})).setChance(0.0);
	INDUSTRIAL_PLORT.addItemInput(<aquaculture:loot:83>).setChance(1.0);
	INDUSTRIAL_PLORT.addItemOutput(<slimerancher:industrial_plort>).setChance(1.0);
	INDUSTRIAL_PLORT.build();

	val INDUSTRIAL_PLORT_2 = mods.modularmachinery.RecipeBuilder.newBuilder("INDUSTRIAL_PLORT_2",machine,18000).applyAnimation(); // 36000 до правок баланса
	INDUSTRIAL_PLORT_2.addEnergyPerTickInput(180000);  // 1800000 до правок баланса
	INDUSTRIAL_PLORT_2.addItemInput(<slimerancher:slime_cell>.withTag({id: "slimerancher:desert_king"})).setChance(0.0);
	INDUSTRIAL_PLORT_2.addItemInput(<slimerancher:slime_cell:1>.withTag({id: "slimerancher:plains_king"})).setChance(0.0);
	INDUSTRIAL_PLORT_2.addItemInput(<slimerancher:slime_cell:2>.withTag({id: "slimerancher:water_king"})).setChance(0.0);
	INDUSTRIAL_PLORT_2.addItemInput(<slimerancher:slime_cell:3>.withTag({id: "slimerancher:snow_king"})).setChance(0.0);
	INDUSTRIAL_PLORT_2.addItemInput(<slimerancher:slime_cell:4>.withTag({id: "slimerancher:swamp_king"})).setChance(0.0);
	INDUSTRIAL_PLORT_2.addItemInput(<slimerancher:slime_cell:5>.withTag({id: "slimerancher:stone_king"})).setChance(0.0);
	INDUSTRIAL_PLORT_2.addItemInput(<aquaculture:loot:83>).setChance(1.0);
	INDUSTRIAL_PLORT_2.addItemInput(<aquaculture:loot:108>).setChance(0.0);
	INDUSTRIAL_PLORT_2.addItemOutput(<slimerancher:industrial_plort>).setChance(1.0);
	INDUSTRIAL_PLORT_2.build();

	val INDUSTRIAL_PLORT_3 = mods.modularmachinery.RecipeBuilder.newBuilder("INDUSTRIAL_PLORT_3",machine,72000).applyAnimation();
	INDUSTRIAL_PLORT_3.addEnergyPerTickInput(18000);  // 90000 до правок баланса
	INDUSTRIAL_PLORT_3.addItemInput(<slimerancher:slime_cell>.withTag({id: "slimerancher:desert_king"})).setChance(0.0);
	INDUSTRIAL_PLORT_3.addItemInput(<slimerancher:slime_cell:1>.withTag({id: "slimerancher:plains_king"})).setChance(0.0);
	INDUSTRIAL_PLORT_3.addItemInput(<slimerancher:slime_cell:2>.withTag({id: "slimerancher:water_king"})).setChance(0.0);
	INDUSTRIAL_PLORT_3.addItemInput(<slimerancher:slime_cell:3>.withTag({id: "slimerancher:snow_king"})).setChance(0.0);
	INDUSTRIAL_PLORT_3.addItemInput(<slimerancher:slime_cell:4>.withTag({id: "slimerancher:swamp_king"})).setChance(0.0);
	INDUSTRIAL_PLORT_3.addItemInput(<slimerancher:slime_cell:5>.withTag({id: "slimerancher:stone_king"})).setChance(0.0);
	INDUSTRIAL_PLORT_3.addItemInput(<aquaculture:loot:83>).setChance(1.0);
	INDUSTRIAL_PLORT_3.addItemInput(<aquaculture:loot:107>).setChance(0.0);
	INDUSTRIAL_PLORT_3.addItemOutput(<slimerancher:industrial_plort>).setChance(1.0);
	INDUSTRIAL_PLORT_3.build();

	val INDUSTRIAL_PLORT_4 = mods.modularmachinery.RecipeBuilder.newBuilder("INDUSTRIAL_PLORT_4",machine,18000).applyAnimation();  // 36000 до правок баланса
	INDUSTRIAL_PLORT_4.addEnergyPerTickInput(18000);  // 90000 до правок баланса
	INDUSTRIAL_PLORT_4.addItemInput(<slimerancher:slime_cell>.withTag({id: "slimerancher:desert_king"})).setChance(0.0);
	INDUSTRIAL_PLORT_4.addItemInput(<slimerancher:slime_cell:1>.withTag({id: "slimerancher:plains_king"})).setChance(0.0);
	INDUSTRIAL_PLORT_4.addItemInput(<slimerancher:slime_cell:2>.withTag({id: "slimerancher:water_king"})).setChance(0.0);
	INDUSTRIAL_PLORT_4.addItemInput(<slimerancher:slime_cell:3>.withTag({id: "slimerancher:snow_king"})).setChance(0.0);
	INDUSTRIAL_PLORT_4.addItemInput(<slimerancher:slime_cell:4>.withTag({id: "slimerancher:swamp_king"})).setChance(0.0);
	INDUSTRIAL_PLORT_4.addItemInput(<slimerancher:slime_cell:5>.withTag({id: "slimerancher:stone_king"})).setChance(0.0);
	INDUSTRIAL_PLORT_4.addItemInput(<aquaculture:loot:83>).setChance(1.0);
	INDUSTRIAL_PLORT_4.addItemInput(<aquaculture:loot:108>).setChance(0.0);
	INDUSTRIAL_PLORT_4.addItemInput(<aquaculture:loot:107>).setChance(0.0);
	INDUSTRIAL_PLORT_4.addItemOutput(<slimerancher:industrial_plort>).setChance(1.0);
	INDUSTRIAL_PLORT_4.build();
	
	val INDUSTRIAL_PLORT_5 = mods.modularmachinery.RecipeBuilder.newBuilder("INDUSTRIAL_PLORT_5",machine,18000).applyAnimation();  // 36000 до правок баланса
	INDUSTRIAL_PLORT_5.addEnergyPerTickInput(18000);  // 90000 до правок баланса
	INDUSTRIAL_PLORT_5.addItemInput(<slimerancher:slime_cell>.withTag({id: "slimerancher:desert_king"})).setChance(0.0);
	INDUSTRIAL_PLORT_5.addItemInput(<slimerancher:slime_cell:1>.withTag({id: "slimerancher:plains_king"})).setChance(0.0);
	INDUSTRIAL_PLORT_5.addItemInput(<slimerancher:slime_cell:2>.withTag({id: "slimerancher:water_king"})).setChance(0.0);
	INDUSTRIAL_PLORT_5.addItemInput(<slimerancher:slime_cell:3>.withTag({id: "slimerancher:snow_king"})).setChance(0.0);
	INDUSTRIAL_PLORT_5.addItemInput(<slimerancher:slime_cell:4>.withTag({id: "slimerancher:swamp_king"})).setChance(0.0);
	INDUSTRIAL_PLORT_5.addItemInput(<slimerancher:slime_cell:5>.withTag({id: "slimerancher:stone_king"})).setChance(0.0);
	INDUSTRIAL_PLORT_5.addItemInput(<aquaculture:loot:83>).setChance(1.0);
	INDUSTRIAL_PLORT_5.addItemInput(<aquaculture:loot:108>).setChance(0.0);
	INDUSTRIAL_PLORT_5.addItemInput(<aquaculture:loot:107>).setChance(0.0);
	INDUSTRIAL_PLORT_5.addItemInput(<aquaculture:loot:183>).setChance(0.0);
	INDUSTRIAL_PLORT_5.addItemOutput(<slimerancher:industrial_plort> * 3).setChance(1.0);
	INDUSTRIAL_PLORT_5.build();	