import mods.modularmachinery.RecipePrimer;
import crafttweaker.oredict.IOreDict;
import crafttweaker.oredict.IOreDictEntry;
import crafttweaker.item.IItemStack;
import crafttweaker.item.IIngredient;
import crafttweaker.liquid.ILiquidStack;
import crafttweaker.data.IData;

var machine = "soul_cage";
	
// ===SOUL_CONTAINER_VH===

    val SOUL_CONTAINER_VH = mods.modularmachinery.RecipeBuilder.newBuilder("SOUL_CONTAINER_VH",machine,72000).applyAnimation();
    SOUL_CONTAINER_VH.addEnergyPerTickInput(18000);
    SOUL_CONTAINER_VH.addItemInput(<aquaculture:loot:96>);
    SOUL_CONTAINER_VH.addItemInput(<aquaculture:loot:52>);
    SOUL_CONTAINER_VH.addItemInput(<aquaculture:loot:179>);
    SOUL_CONTAINER_VH.addItemOutput(<aquaculture:loot:181>).setChance(0.5);
    SOUL_CONTAINER_VH.build();	
	
// ===SOUL_CONTAINER_DRAGON===

// TME val SOUL_CONTAINER_DRAGON = mods.modularmachinery.RecipeBuilder.newBuilder("SOUL_CONTAINER_DRAGON",machine,72000).applyAnimation();
// TME SOUL_CONTAINER_DRAGON.addEnergyPerTickInput(18000);
// TME SOUL_CONTAINER_DRAGON.addItemInput(<aquaculture:loot:95>);
// TME SOUL_CONTAINER_DRAGON.addItemInput(<aquaculture:loot:52>);
// TME SOUL_CONTAINER_DRAGON.addItemInput(<aquaculture:loot:179>);
// TME SOUL_CONTAINER_DRAGON.addItemOutput(<aquaculture:loot:180>).setChance(0.5);
// TME SOUL_CONTAINER_DRAGON.build();	
	
// ===SOUL_CONTAINER_WIZARD===

    val SOUL_CONTAINER_WIZARD = mods.modularmachinery.RecipeBuilder.newBuilder("SOUL_CONTAINER_WIZARD",machine,72000).applyAnimation();
    SOUL_CONTAINER_WIZARD.addEnergyPerTickInput(18000);
    SOUL_CONTAINER_WIZARD.addItemInput(<aquaculture:loot:178>);
    SOUL_CONTAINER_WIZARD.addItemInput(<aquaculture:loot:52>);
    SOUL_CONTAINER_WIZARD.addItemInput(<aquaculture:loot:179>);
    SOUL_CONTAINER_WIZARD.addItemOutput(<aquaculture:loot:182>).setChance(0.5);
    SOUL_CONTAINER_WIZARD.build();	
	
// ===SOUL_CONTAINER_TM===

    val SOUL_CONTAINER_TM = mods.modularmachinery.RecipeBuilder.newBuilder("SOUL_CONTAINER_TM",machine,72000).applyAnimation();
    SOUL_CONTAINER_TM.addEnergyPerTickInput(18000);
    SOUL_CONTAINER_TM.addItemInput(<aquaculture:loot:185>);
    SOUL_CONTAINER_TM.addItemInput(<aquaculture:loot:52>);
    SOUL_CONTAINER_TM.addItemInput(<aquaculture:loot:179>);
    SOUL_CONTAINER_TM.addItemOutput(<aquaculture:loot:186>).setChance(0.5);
    SOUL_CONTAINER_TM.build();	
	
// ===SOUL_CONTAINER_WM===

    val SOUL_CONTAINER_WM = mods.modularmachinery.RecipeBuilder.newBuilder("SOUL_CONTAINER_WM",machine,72000).applyAnimation();
    SOUL_CONTAINER_WM.addEnergyPerTickInput(18000);
    SOUL_CONTAINER_WM.addItemInput(<aquaculture:loot:172>);
    SOUL_CONTAINER_WM.addItemInput(<aquaculture:loot:52>);
    SOUL_CONTAINER_WM.addItemInput(<aquaculture:loot:179>);
    SOUL_CONTAINER_WM.addItemOutput(<aquaculture:loot:173>).setChance(0.5);
    SOUL_CONTAINER_WM.build();	
	
//============================================================================================================================================================

// ===SOUL_CONTAINER_TM_DROP===

    val SOUL_CONTAINER_TM_DROP = mods.modularmachinery.RecipeBuilder.newBuilder("SOUL_CONTAINER_TM_DROP",machine,72000).applyAnimation();
    SOUL_CONTAINER_TM_DROP.addEnergyPerTickInput(18000);
    SOUL_CONTAINER_TM_DROP.addItemInput(<aquaculture:loot:186>).setChance(0.0);
    SOUL_CONTAINER_TM_DROP.addItemInput(<aquaculture:universe_soul>).setChance(0.0);
    SOUL_CONTAINER_TM_DROP.addItemOutput(<aquaculture:loot:187>).setChance(1.0);
    SOUL_CONTAINER_TM_DROP.build();		
	
//============================================================================================================================================================

// ===SOUL_CONTAINER_WM_DROP===

    val SOUL_CONTAINER_WM_DROP = mods.modularmachinery.RecipeBuilder.newBuilder("SOUL_CONTAINER_WM_DROP",machine,72000).applyAnimation();
    SOUL_CONTAINER_WM_DROP.addEnergyPerTickInput(18000);
    SOUL_CONTAINER_WM_DROP.addItemInput(<aquaculture:loot:173>).setChance(0.0);
    SOUL_CONTAINER_WM_DROP.addItemInput(<aquaculture:universe_soul>).setChance(0.0);
    SOUL_CONTAINER_WM_DROP.addItemOutput(<aquaculture:loot:175>).setChance(1.0);
    SOUL_CONTAINER_WM_DROP.build();		

//============================================================================================================================================================

// ===SOUL_CONTAINER_VH_DROP===

    val SOUL_CONTAINER_VH_DROP = mods.modularmachinery.RecipeBuilder.newBuilder("SOUL_CONTAINER_VH_DROP",machine,72000).applyAnimation();
    SOUL_CONTAINER_VH_DROP.addEnergyPerTickInput(18000);
    SOUL_CONTAINER_VH_DROP.addItemInput(<aquaculture:loot:181>).setChance(0.0);
    SOUL_CONTAINER_VH_DROP.addItemInput(<aquaculture:universe_soul>).setChance(0.0);
    SOUL_CONTAINER_VH_DROP.addItemOutput(<extrabotany:specialbag> * 30).setChance(1.0);
    SOUL_CONTAINER_VH_DROP.addItemOutput(<extrabotany:treasurebox> * 10).setChance(1.0);
    SOUL_CONTAINER_VH_DROP.build();	
	
// ===SOUL_CONTAINER_VH_DROP_LUCK===

    val SOUL_CONTAINER_VH_DROP_LUCK = mods.modularmachinery.RecipeBuilder.newBuilder("SOUL_CONTAINER_VH_DROP_LUCK",machine,72000).applyAnimation();
    SOUL_CONTAINER_VH_DROP_LUCK.addEnergyPerTickInput(18000);
    SOUL_CONTAINER_VH_DROP_LUCK.addItemInput(<aquaculture:loot:181>).setChance(0.0);
    SOUL_CONTAINER_VH_DROP_LUCK.addItemInput(<aquaculture:universe_soul>).setChance(0.0);
    SOUL_CONTAINER_VH_DROP_LUCK.addItemInput(<aquaculture:loot:183>).setChance(0.0);
    SOUL_CONTAINER_VH_DROP_LUCK.addItemOutput(<extrabotany:specialbag> * 30).setChance(1.0);
    SOUL_CONTAINER_VH_DROP_LUCK.addItemOutput(<extrabotany:specialbag> * 15).setChance(0.25);
    SOUL_CONTAINER_VH_DROP_LUCK.addItemOutput(<extrabotany:treasurebox> * 10).setChance(1.0);
    SOUL_CONTAINER_VH_DROP_LUCK.addItemOutput(<extrabotany:treasurebox> * 5).setChance(0.25);
    SOUL_CONTAINER_VH_DROP_LUCK.build();		
	
//============================================================================================================================================================	
	
// ===SOUL_CONTAINER_DRAGON_DROP===

// TME val SOUL_CONTAINER_DRAGON_DROP = mods.modularmachinery.RecipeBuilder.newBuilder("SOUL_CONTAINER_DRAGON_DROP",machine,72000).applyAnimation();
// TME SOUL_CONTAINER_DRAGON_DROP.addEnergyPerTickInput(18000);
// TME SOUL_CONTAINER_DRAGON_DROP.addItemInput(<aquaculture:loot:180>).setChance(0.0);
// TME SOUL_CONTAINER_DRAGON_DROP.addItemInput(<aquaculture:universe_soul>).setChance(0.0);
// TME SOUL_CONTAINER_DRAGON_DROP.addItemOutput(<draconicevolution:chaos_shard> * 5).setChance(1.0);
// TME SOUL_CONTAINER_DRAGON_DROP.addItemOutput(<minecraft:dragon_egg> * 20).setChance(1.0);
// TME SOUL_CONTAINER_DRAGON_DROP.build();	
	
// ===SOUL_CONTAINER_DRAGON_DROP_LUCK===

// TME val SOUL_CONTAINER_DRAGON_DROP_LUCK = mods.modularmachinery.RecipeBuilder.newBuilder("SOUL_CONTAINER_DRAGON_DROP_LUCK",machine,72000).applyAnimation();
// TME SOUL_CONTAINER_DRAGON_DROP_LUCK.addEnergyPerTickInput(18000);
// TME SOUL_CONTAINER_DRAGON_DROP_LUCK.addItemInput(<aquaculture:loot:180>).setChance(0.0);
// TME SOUL_CONTAINER_DRAGON_DROP_LUCK.addItemInput(<aquaculture:universe_soul>).setChance(0.0);
// TME SOUL_CONTAINER_DRAGON_DROP_LUCK.addItemInput(<aquaculture:loot:183>).setChance(0.0);
// TME SOUL_CONTAINER_DRAGON_DROP_LUCK.addItemOutput(<draconicevolution:chaos_shard> * 5).setChance(1.0);
// TME SOUL_CONTAINER_DRAGON_DROP_LUCK.addItemOutput(<draconicevolution:chaos_shard> * 5).setChance(0.25);
// TME SOUL_CONTAINER_DRAGON_DROP_LUCK.addItemOutput(<minecraft:dragon_egg> * 20).setChance(1.0);
// TME SOUL_CONTAINER_DRAGON_DROP_LUCK.addItemOutput(<minecraft:dragon_egg> * 5).setChance(0.25);
// TME SOUL_CONTAINER_DRAGON_DROP_LUCK.build();	
	
//============================================================================================================================================================	

// ===SOUL_CONTAINER_WIZARD_DROP===

// TME val SOUL_CONTAINER_WIZARD_DROP = mods.modularmachinery.RecipeBuilder.newBuilder("SOUL_CONTAINER_WIZARD_DROP",machine,288000).applyAnimation();
// TME SOUL_CONTAINER_WIZARD_DROP.addEnergyPerTickInput(18000);
// TME SOUL_CONTAINER_WIZARD_DROP.addItemInput(<aquaculture:loot:182>).setChance(0.0);
// TME SOUL_CONTAINER_WIZARD_DROP.addItemInput(<aquaculture:universe_soul>).setChance(0.0);
// TME SOUL_CONTAINER_WIZARD_DROP.addItemOutput(<vampiresneedumbrellas:creative_umbrella> * 1).setChance(0.05);
// TME SOUL_CONTAINER_WIZARD_DROP.addItemOutput(<gravisuite:vajra:26> * 1).setChance(0.05);
// TME SOUL_CONTAINER_WIZARD_DROP.addItemOutput(<aquaculture:volcano_sword> * 1).setChance(0.03);
// TME SOUL_CONTAINER_WIZARD_DROP.addItemOutput(<aquaculture:buster_sword> * 1).setChance(0.01);
// TME SOUL_CONTAINER_WIZARD_DROP.addItemOutput(<aquaculture:loot:47> * 1).setChance(0.05);
// TME SOUL_CONTAINER_WIZARD_DROP.addItemOutput(<aquaculture:loot:48> * 1).setChance(0.05);
// TME SOUL_CONTAINER_WIZARD_DROP.addItemOutput(<treasure_chest:donate/donate4-chest:1> * 1).setChance(1.0);
// TME SOUL_CONTAINER_WIZARD_DROP.addItemOutput(<aquaculture:loot:99> * 1).setChance(1.0);
// TME SOUL_CONTAINER_WIZARD_DROP.addItemOutput(<extraamulets:amulet_admins> * 1).setChance(0.01);
// TME SOUL_CONTAINER_WIZARD_DROP.addItemOutput(<extrautils2:passivegenerator:6> * 1).setChance(0.15);
// TME SOUL_CONTAINER_WIZARD_DROP.build();	
	
// ===SOUL_CONTAINER_WIZARD_DROP===

    val SOUL_CONTAINER_WIZARD_DROP = mods.modularmachinery.RecipeBuilder.newBuilder("SOUL_CONTAINER_WIZARD_DROP",machine,288000).applyAnimation();
    SOUL_CONTAINER_WIZARD_DROP.addEnergyPerTickInput(18000);
    SOUL_CONTAINER_WIZARD_DROP.addItemInput(<aquaculture:loot:182>).setChance(0.0);
    SOUL_CONTAINER_WIZARD_DROP.addItemInput(<aquaculture:universe_soul>).setChance(0.0);
    SOUL_CONTAINER_WIZARD_DROP.addItemOutput(<aquaculture:buster_sword> * 1).setChance(0.01);
    SOUL_CONTAINER_WIZARD_DROP.addItemOutput(<aquaculture:volcano_sword> * 1).setChance(0.03);
    SOUL_CONTAINER_WIZARD_DROP.addItemOutput(<tinymobfarm:inferno_farm> * 1).setChance(0.03);
    SOUL_CONTAINER_WIZARD_DROP.addItemOutput(<advanced_solar_panels:machines:4> * 1).setChance(0.03);
    SOUL_CONTAINER_WIZARD_DROP.addItemOutput(<treasure_chest:donate/donate4-chest:1> * 1).setChance(1.0);
    SOUL_CONTAINER_WIZARD_DROP.addItemOutput(<sccraftingrunes:itemlegendarymat> * 5).setChance(0.4);
    SOUL_CONTAINER_WIZARD_DROP.addItemOutput(<aquaculture:genesis_pickaxe> * 1).setChance(0.1);
    SOUL_CONTAINER_WIZARD_DROP.addItemOutput(<extraamulets:amulet_admins> * 1).setChance(0.01);
    SOUL_CONTAINER_WIZARD_DROP.addItemOutput(<aquaculture:potion2> * 16).setChance(1.0);
    SOUL_CONTAINER_WIZARD_DROP.addItemOutput(<advanced_solar_panels:machines:1> * 1).setChance(0.03);
    SOUL_CONTAINER_WIZARD_DROP.addItemOutput(<aquaculture:loot:178> * 1).setChance(0.01);
    SOUL_CONTAINER_WIZARD_DROP.build();	
	
// ===SOUL_CONTAINER_WIZARD_DROP_LUCK===

    //val SOUL_CONTAINER_WIZARD_DROP_LUCK = mods.modularmachinery.RecipeBuilder.newBuilder("SOUL_CONTAINER_WIZARD_DROP_LUCK",machine,288000).applyAnimation();
    //SOUL_CONTAINER_WIZARD_DROP_LUCK.addEnergyPerTickInput(18000);
    //SOUL_CONTAINER_WIZARD_DROP_LUCK.addItemInput(<aquaculture:loot:182>).setChance(0.0);
    //SOUL_CONTAINER_WIZARD_DROP_LUCK.addItemInput(<aquaculture:universe_soul>).setChance(0.0);
    //SOUL_CONTAINER_WIZARD_DROP_LUCK.addItemInput(<aquaculture:loot:183>).setChance(0.0);
    //SOUL_CONTAINER_WIZARD_DROP_LUCK.addItemOutput(<vampiresneedumbrellas:creative_umbrella> * 1).setChance(0.05);
    //SOUL_CONTAINER_WIZARD_DROP_LUCK.addItemOutput(<gravisuite:vajra:26> * 1).setChance(0.05);
    //SOUL_CONTAINER_WIZARD_DROP_LUCK.addItemOutput(<aquaculture:volcano_sword> * 1).setChance(0.05);
    //SOUL_CONTAINER_WIZARD_DROP_LUCK.addItemOutput(<aquaculture:buster_sword> * 1).setChance(0.01);
    //SOUL_CONTAINER_WIZARD_DROP_LUCK.addItemOutput(<aquaculture:loot:47> * 1).setChance(0.05);
    //SOUL_CONTAINER_WIZARD_DROP_LUCK.addItemOutput(<aquaculture:loot:48> * 1).setChance(0.05);
    //SOUL_CONTAINER_WIZARD_DROP_LUCK.addItemOutput(<treasure_chest:donate/donate4-chest:1> * 1).setChance(1.0);
    //SOUL_CONTAINER_WIZARD_DROP_LUCK.addItemOutput(<aquaculture:loot:99> * 1).setChance(1.0);
    //SOUL_CONTAINER_WIZARD_DROP_LUCK.addItemOutput(<extraamulets:amulet_admins> * 1).setChance(0.01);
    //SOUL_CONTAINER_WIZARD_DROP_LUCK.addItemOutput(<extrautils2:passivegenerator:6> * 1).setChance(0.15);	
    //SOUL_CONTAINER_WIZARD_DROP_LUCK.build();		