import crafttweaker.item.IItemStack;
import mods.modularmachinery.RecipeBuilder;
import crafttweaker.item.IItemCondition;

// ===ON===

    val ON = mods.modularmachinery.RecipeBuilder.newBuilder("ON","space_launch_centre", 36000);
    ON.addEnergyPerTickInput(36000); // 180000 до правок баланса
    ON.addItemInput(<aquaculture:loot:89>).setChance(1.0);
    ON.addItemOutput(<aquaculture:loot:121>).setChance(1.0);
    ON.build();


//=======================================================================================================================================================	


// ===SOLAR1===

    val SOLAR1 = mods.modularmachinery.RecipeBuilder.newBuilder("SOLAR1","space_launch_centre", 54000);
    SOLAR1.addEnergyPerTickInput(36000); // 360000 до правок баланса
    SOLAR1.addItemInput(<aquaculture:loot:90>).setChance(0.0);
    SOLAR1.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    SOLAR1.addItemInput(<aquaculture:planet:14>).setChance(0.0);
	SOLAR1.addItemOutput(<aquaculture:loot:71>).setChance(0.40);
	SOLAR1.addItemOutput(<craftitems:other_meteoric_iron> * 3).setChance(1.0);
    SOLAR1.addItemOutput(<aquaculture:voyager>).setChance(0.05);
    SOLAR1.build();
	
// ===SOLAR2===

    val SOLAR2 = mods.modularmachinery.RecipeBuilder.newBuilder("SOLAR2","space_launch_centre", 54000);
    SOLAR2.addEnergyPerTickInput(36000); // 360000 до правок баланса
    SOLAR2.addItemInput(<aquaculture:loot:112>).setChance(0.0);
    SOLAR2.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    SOLAR2.addItemInput(<aquaculture:planet:14>).setChance(0.0);
	SOLAR2.addItemOutput(<aquaculture:loot:71>).setChance(0.35);
	SOLAR2.addItemOutput(<craftitems:other_meteoric_iron> * 3).setChance(0.9);
    SOLAR2.addItemOutput(<aquaculture:voyager>).setChance(0.05);
    SOLAR2.build();	
	
// ===SOLAR3===

    val SOLAR3 = mods.modularmachinery.RecipeBuilder.newBuilder("SOLAR3","space_launch_centre", 54000);
    SOLAR3.addEnergyPerTickInput(36000); // 360000 до правок баланса
    SOLAR3.addItemInput(<aquaculture:loot:113>).setChance(0.0);
    SOLAR3.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    SOLAR3.addItemInput(<aquaculture:planet:14>).setChance(0.0);	
	SOLAR3.addItemOutput(<aquaculture:loot:71>).setChance(0.30);
	SOLAR3.addItemOutput(<craftitems:other_meteoric_iron> * 3).setChance(0.8);
    SOLAR3.addItemOutput(<aquaculture:voyager>).setChance(0.05);
    SOLAR3.build();		
	
// ===SOLAR4===

    val SOLAR4 = mods.modularmachinery.RecipeBuilder.newBuilder("SOLAR4","space_launch_centre", 54000);
    SOLAR4.addEnergyPerTickInput(36000); // 360000 до правок баланса
    SOLAR4.addItemInput(<aquaculture:loot:114>).setChance(0.0);
    SOLAR4.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    SOLAR4.addItemInput(<aquaculture:planet:14>).setChance(0.0);	
	SOLAR4.addItemOutput(<aquaculture:loot:71>).setChance(0.25);
	SOLAR4.addItemOutput(<craftitems:other_meteoric_iron> * 3).setChance(0.7);
    SOLAR4.addItemOutput(<aquaculture:voyager>).setChance(0.05);
    SOLAR4.build();	
	
// ===SOLAR5===

    val SOLAR5 = mods.modularmachinery.RecipeBuilder.newBuilder("SOLAR5","space_launch_centre", 54000);
    SOLAR5.addEnergyPerTickInput(36000); // 360000 до правок баланса
    SOLAR5.addItemInput(<aquaculture:loot:115>).setChance(0.0);
    SOLAR5.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    SOLAR5.addItemInput(<aquaculture:planet:14>).setChance(0.0);	
	SOLAR5.addItemOutput(<aquaculture:loot:71>).setChance(0.20);
	SOLAR5.addItemOutput(<craftitems:other_meteoric_iron> * 3).setChance(0.7);
    SOLAR5.addItemOutput(<aquaculture:voyager>).setChance(0.05);
    SOLAR5.build();		
	
// ===SOLAR6===

    val SOLAR6 = mods.modularmachinery.RecipeBuilder.newBuilder("SOLAR6","space_launch_centre", 54000);
    SOLAR6.addEnergyPerTickInput(36000); // 360000 до правок баланса
    SOLAR6.addItemInput(<aquaculture:loot:116>).setChance(0.0);
    SOLAR6.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    SOLAR6.addItemInput(<aquaculture:planet:14>).setChance(0.0);	
	SOLAR6.addItemOutput(<aquaculture:loot:71>).setChance(0.15);
	SOLAR6.addItemOutput(<craftitems:other_meteoric_iron> * 3).setChance(0.6);
    SOLAR6.addItemOutput(<aquaculture:voyager>).setChance(0.05);
    SOLAR6.build();		
	
// ===SOLAR7===

    val SOLAR7 = mods.modularmachinery.RecipeBuilder.newBuilder("SOLAR7","space_launch_centre", 54000);
    SOLAR7.addEnergyPerTickInput(36000); // 360000 до правок баланса
    SOLAR7.addItemInput(<aquaculture:loot:117>).setChance(0.0);
    SOLAR7.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    SOLAR7.addItemInput(<aquaculture:planet:14>).setChance(0.0);	
	SOLAR7.addItemOutput(<aquaculture:loot:71>).setChance(0.1);
	SOLAR7.addItemOutput(<craftitems:other_meteoric_iron> * 3).setChance(0.5);
    SOLAR7.addItemOutput(<aquaculture:voyager>).setChance(0.05);
    SOLAR7.build();		

// ===SOLAR8===

    val SOLAR8 = mods.modularmachinery.RecipeBuilder.newBuilder("SOLAR8","space_launch_centre", 54000);
    SOLAR8.addEnergyPerTickInput(36000); // 360000 до правок баланса
    SOLAR8.addItemInput(<aquaculture:loot:118>).setChance(0.0);
    SOLAR8.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    SOLAR8.addItemInput(<aquaculture:planet:14>).setChance(0.0);	
	SOLAR8.addItemOutput(<aquaculture:loot:71>).setChance(0.05);
	SOLAR8.addItemOutput(<craftitems:other_meteoric_iron> * 3).setChance(0.4);
    SOLAR8.addItemOutput(<aquaculture:voyager>).setChance(0.05);
    SOLAR8.build();
	

//=======================================================================================================================================================	
	
	
// ===ASTRAL1===

    val ASTRAL1 = mods.modularmachinery.RecipeBuilder.newBuilder("ASTRAL1","space_launch_centre", 72000);
    ASTRAL1.addEnergyPerTickInput(36000); // 360000 до правок баланса
    ASTRAL1.addItemInput(<aquaculture:loot:90>).setChance(0.0);
    ASTRAL1.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    ASTRAL1.addItemInput(<aquaculture:planet:20>).setChance(0.0);
	ASTRAL1.addItemOutput(<aquaculture:loot:123>).setChance(0.40);
	ASTRAL1.addItemOutput(<aquaculture:loot:124>).setChance(0.15);
	ASTRAL1.addItemOutput(<craftitems:other_meteoric_iron> * 3).setChance(1.0);
    ASTRAL1.build();
	
// ===ASTRAL2===

    val ASTRAL2 = mods.modularmachinery.RecipeBuilder.newBuilder("ASTRAL2","space_launch_centre", 72000);
    ASTRAL2.addEnergyPerTickInput(36000); // 360000 до правок баланса
    ASTRAL2.addItemInput(<aquaculture:loot:112>).setChance(0.0);
    ASTRAL2.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    ASTRAL2.addItemInput(<aquaculture:planet:20>).setChance(0.0);
	ASTRAL2.addItemOutput(<aquaculture:loot:123>).setChance(0.35);
	ASTRAL2.addItemOutput(<aquaculture:loot:124>).setChance(0.15);
	ASTRAL2.addItemOutput(<craftitems:other_meteoric_iron> * 3).setChance(0.9);
    ASTRAL2.build();	
	
// ===ASTRAL3===

    val ASTRAL3 = mods.modularmachinery.RecipeBuilder.newBuilder("ASTRAL3","space_launch_centre", 72000);
    ASTRAL3.addEnergyPerTickInput(36000); // 360000 до правок баланса
    ASTRAL3.addItemInput(<aquaculture:loot:113>).setChance(0.0);
    ASTRAL3.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    ASTRAL3.addItemInput(<aquaculture:planet:20>).setChance(0.0);
	ASTRAL3.addItemOutput(<aquaculture:loot:123>).setChance(0.30);
	ASTRAL3.addItemOutput(<aquaculture:loot:124>).setChance(0.15);
	ASTRAL3.addItemOutput(<craftitems:other_meteoric_iron> * 3).setChance(0.8);
    ASTRAL3.build();
	
// ===ASTRAL4===

    val ASTRAL4 = mods.modularmachinery.RecipeBuilder.newBuilder("ASTRAL4","space_launch_centre", 72000);
    ASTRAL4.addEnergyPerTickInput(36000); // 360000 до правок баланса
    ASTRAL4.addItemInput(<aquaculture:loot:114>).setChance(0.0);
    ASTRAL4.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    ASTRAL4.addItemInput(<aquaculture:planet:20>).setChance(0.0);
	ASTRAL4.addItemOutput(<aquaculture:loot:123>).setChance(0.25);
	ASTRAL4.addItemOutput(<aquaculture:loot:124>).setChance(0.15);
	ASTRAL4.addItemOutput(<craftitems:other_meteoric_iron> * 3).setChance(0.7);
    ASTRAL4.build();	
	
// ===ASTRAL5===

    val ASTRAL5 = mods.modularmachinery.RecipeBuilder.newBuilder("ASTRAL5","space_launch_centre", 72000);
    ASTRAL5.addEnergyPerTickInput(36000); // 360000 до правок баланса
    ASTRAL5.addItemInput(<aquaculture:loot:115>).setChance(0.0);
    ASTRAL5.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    ASTRAL5.addItemInput(<aquaculture:planet:20>).setChance(0.0);
	ASTRAL5.addItemOutput(<aquaculture:loot:123>).setChance(0.20);
	ASTRAL5.addItemOutput(<aquaculture:loot:124>).setChance(0.15);
	ASTRAL5.addItemOutput(<craftitems:other_meteoric_iron> * 3).setChance(0.7);
    ASTRAL5.build();	
	
// ===ASTRAL6===

    val ASTRAL6 = mods.modularmachinery.RecipeBuilder.newBuilder("ASTRAL6","space_launch_centre", 72000);
    ASTRAL6.addEnergyPerTickInput(36000); // 360000 до правок баланса
    ASTRAL6.addItemInput(<aquaculture:loot:116>).setChance(0.0);
    ASTRAL6.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    ASTRAL6.addItemInput(<aquaculture:planet:20>).setChance(0.0);
	ASTRAL6.addItemOutput(<aquaculture:loot:123>).setChance(0.15);
	ASTRAL6.addItemOutput(<aquaculture:loot:124>).setChance(0.15);
	ASTRAL6.addItemOutput(<craftitems:other_meteoric_iron> * 3).setChance(0.6);
    ASTRAL6.build();	
	
// ===ASTRAL7===

    val ASTRAL7 = mods.modularmachinery.RecipeBuilder.newBuilder("ASTRAL7","space_launch_centre", 72000);
    ASTRAL7.addEnergyPerTickInput(36000); // 360000 до правок баланса
    ASTRAL7.addItemInput(<aquaculture:loot:117>).setChance(0.0);
    ASTRAL7.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    ASTRAL7.addItemInput(<aquaculture:planet:20>).setChance(0.0);
	ASTRAL7.addItemOutput(<aquaculture:loot:123>).setChance(0.10);
	ASTRAL7.addItemOutput(<aquaculture:loot:124>).setChance(0.15);
	ASTRAL7.addItemOutput(<craftitems:other_meteoric_iron> * 3).setChance(0.5);
    ASTRAL7.build();	

// ===ASTRAL8===

    val ASTRAL8 = mods.modularmachinery.RecipeBuilder.newBuilder("ASTRAL8","space_launch_centre", 72000);
    ASTRAL8.addEnergyPerTickInput(36000); // 360000 до правок баланса
    ASTRAL8.addItemInput(<aquaculture:loot:118>).setChance(0.0);
    ASTRAL8.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    ASTRAL8.addItemInput(<aquaculture:planet:20>).setChance(0.0);
	ASTRAL8.addItemOutput(<aquaculture:loot:123>).setChance(0.05);
	ASTRAL8.addItemOutput(<aquaculture:loot:124>).setChance(0.15);
	ASTRAL8.addItemOutput(<craftitems:other_meteoric_iron> * 3).setChance(0.4);
    ASTRAL8.build();


//=======================================================================================================================================================	
	
	
// ===ROCKY_PLANET_1===

    val ROCKY_PLANET_1 = mods.modularmachinery.RecipeBuilder.newBuilder("ROCKY_PLANET_1","space_launch_centre", 20);
    ROCKY_PLANET_1.addEnergyPerTickInput(90000);
    ROCKY_PLANET_1.addItemInput(<aquaculture:loot:90>).setChance(0.0);
    ROCKY_PLANET_1.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    ROCKY_PLANET_1.addItemInput(<aquaculture:loot:126>).setChance(0.0);
    ROCKY_PLANET_1.addItemInput(<aquaculture:loot:137>).setChance(0.0);
    ROCKY_PLANET_1.addItemInput(<aquaculture:planet:23>).setChance(0.0);
	ROCKY_PLANET_1.addItemOutput(<minecraft:cobblestone> * 640).setChance(1.0);
    ROCKY_PLANET_1.build();
	
// ===ROCKY_PLANET_2===

    val ROCKY_PLANET_2 = mods.modularmachinery.RecipeBuilder.newBuilder("ROCKY_PLANET_2","space_launch_centre", 20);
    ROCKY_PLANET_2.addEnergyPerTickInput(90000);
    ROCKY_PLANET_2.addItemInput(<aquaculture:loot:112>).setChance(0.0);
    ROCKY_PLANET_2.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    ROCKY_PLANET_2.addItemInput(<aquaculture:loot:126>).setChance(0.0);
    ROCKY_PLANET_2.addItemInput(<aquaculture:loot:137>).setChance(0.0);
    ROCKY_PLANET_2.addItemInput(<aquaculture:planet:23>).setChance(0.0);
	ROCKY_PLANET_2.addItemOutput(<minecraft:cobblestone> * 640).setChance(0.9);
    ROCKY_PLANET_2.build();	
	
// ===ROCKY_PLANET_3===

    val ROCKY_PLANET_3 = mods.modularmachinery.RecipeBuilder.newBuilder("ROCKY_PLANET_3","space_launch_centre", 20);
    ROCKY_PLANET_3.addEnergyPerTickInput(90000);
    ROCKY_PLANET_3.addItemInput(<aquaculture:loot:113>).setChance(0.0);
    ROCKY_PLANET_3.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    ROCKY_PLANET_3.addItemInput(<aquaculture:loot:126>).setChance(0.0);
    ROCKY_PLANET_3.addItemInput(<aquaculture:loot:137>).setChance(0.0);
    ROCKY_PLANET_3.addItemInput(<aquaculture:planet:23>).setChance(0.0);	
	ROCKY_PLANET_3.addItemOutput(<minecraft:cobblestone> * 640).setChance(0.8);
    ROCKY_PLANET_3.build();		
	
// ===ROCKY_PLANET_4===

    val ROCKY_PLANET_4 = mods.modularmachinery.RecipeBuilder.newBuilder("ROCKY_PLANET_4","space_launch_centre", 20);
    ROCKY_PLANET_4.addEnergyPerTickInput(90000);
    ROCKY_PLANET_4.addItemInput(<aquaculture:loot:114>).setChance(0.0);
    ROCKY_PLANET_4.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    ROCKY_PLANET_4.addItemInput(<aquaculture:loot:126>).setChance(0.0);
    ROCKY_PLANET_4.addItemInput(<aquaculture:loot:137>).setChance(0.0);
    ROCKY_PLANET_4.addItemInput(<aquaculture:planet:23>).setChance(0.0);	
	ROCKY_PLANET_4.addItemOutput(<minecraft:cobblestone> * 640).setChance(0.7);
    ROCKY_PLANET_4.build();	
	
// ===ROCKY_PLANET_5===

    val ROCKY_PLANET_5 = mods.modularmachinery.RecipeBuilder.newBuilder("ROCKY_PLANET_5","space_launch_centre", 20);
    ROCKY_PLANET_5.addEnergyPerTickInput(90000);
    ROCKY_PLANET_5.addItemInput(<aquaculture:loot:115>).setChance(0.0);
    ROCKY_PLANET_5.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    ROCKY_PLANET_5.addItemInput(<aquaculture:loot:126>).setChance(0.0);
    ROCKY_PLANET_5.addItemInput(<aquaculture:loot:137>).setChance(0.0);
    ROCKY_PLANET_5.addItemInput(<aquaculture:planet:23>).setChance(0.0);	
	ROCKY_PLANET_5.addItemOutput(<minecraft:cobblestone> * 640).setChance(0.7);
    ROCKY_PLANET_5.build();		
	
// ===ROCKY_PLANET_6===

    val ROCKY_PLANET_6 = mods.modularmachinery.RecipeBuilder.newBuilder("ROCKY_PLANET_6","space_launch_centre", 20);
    ROCKY_PLANET_6.addEnergyPerTickInput(90000);
    ROCKY_PLANET_6.addItemInput(<aquaculture:loot:116>).setChance(0.0);
    ROCKY_PLANET_6.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    ROCKY_PLANET_6.addItemInput(<aquaculture:loot:126>).setChance(0.0);
    ROCKY_PLANET_6.addItemInput(<aquaculture:loot:137>).setChance(0.0);
    ROCKY_PLANET_6.addItemInput(<aquaculture:planet:23>).setChance(0.0);	
	ROCKY_PLANET_6.addItemOutput(<minecraft:cobblestone> * 640).setChance(0.6);
    ROCKY_PLANET_6.build();		
	
// ===ROCKY_PLANET_7===

    val ROCKY_PLANET_7 = mods.modularmachinery.RecipeBuilder.newBuilder("ROCKY_PLANET_7","space_launch_centre", 20);
    ROCKY_PLANET_7.addEnergyPerTickInput(90000);
    ROCKY_PLANET_7.addItemInput(<aquaculture:loot:117>).setChance(0.0);
    ROCKY_PLANET_7.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    ROCKY_PLANET_7.addItemInput(<aquaculture:loot:126>).setChance(0.0);
    ROCKY_PLANET_7.addItemInput(<aquaculture:loot:137>).setChance(0.0);
    ROCKY_PLANET_7.addItemInput(<aquaculture:planet:23>).setChance(0.0);	
	ROCKY_PLANET_7.addItemOutput(<minecraft:cobblestone> * 640).setChance(0.5);
    ROCKY_PLANET_7.build();		

// ===ROCKY_PLANET_8===

    val ROCKY_PLANET_8 = mods.modularmachinery.RecipeBuilder.newBuilder("ROCKY_PLANET_8","space_launch_centre", 20);
    ROCKY_PLANET_8.addEnergyPerTickInput(90000);
    ROCKY_PLANET_8.addItemInput(<aquaculture:loot:118>).setChance(0.0);
    ROCKY_PLANET_8.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    ROCKY_PLANET_8.addItemInput(<aquaculture:loot:126>).setChance(0.0);
    ROCKY_PLANET_8.addItemInput(<aquaculture:loot:137>).setChance(0.0);
    ROCKY_PLANET_8.addItemInput(<aquaculture:planet:23>).setChance(0.0);	
	ROCKY_PLANET_8.addItemOutput(<minecraft:cobblestone> * 640).setChance(0.4);
    ROCKY_PLANET_8.build();


//=======================================================================================================================================================	
	
	
// ===WATER_PLANET_1===

    val WATER_PLANET_1 = mods.modularmachinery.RecipeBuilder.newBuilder("WATER_PLANET_1","space_launch_centre", 18000);
    WATER_PLANET_1.addEnergyPerTickInput(90000);
    WATER_PLANET_1.addItemInput(<aquaculture:loot:90>).setChance(0.0);
    WATER_PLANET_1.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    WATER_PLANET_1.addItemInput(<aquaculture:loot:126>).setChance(0.0);
    WATER_PLANET_1.addItemInput(<aquaculture:loot:137>).setChance(0.0);
    WATER_PLANET_1.addItemInput(<aquaculture:planet:27>).setChance(0.0);
	WATER_PLANET_1.addItemOutput(<minecraft:lapis_ore> * 64).setChance(1.0);
    WATER_PLANET_1.build();
	
// ===WATER_PLANET_2===

    val WATER_PLANET_2 = mods.modularmachinery.RecipeBuilder.newBuilder("WATER_PLANET_2","space_launch_centre", 18000);
    WATER_PLANET_2.addEnergyPerTickInput(90000);
    WATER_PLANET_2.addItemInput(<aquaculture:loot:112>).setChance(0.0);
    WATER_PLANET_2.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    WATER_PLANET_2.addItemInput(<aquaculture:loot:126>).setChance(0.0);
    WATER_PLANET_2.addItemInput(<aquaculture:loot:137>).setChance(0.0);
    WATER_PLANET_2.addItemInput(<aquaculture:planet:27>).setChance(0.0);
	WATER_PLANET_2.addItemOutput(<minecraft:lapis_ore> * 64).setChance(0.9);
    WATER_PLANET_2.build();	
	
// ===WATER_PLANET_3===

    val WATER_PLANET_3 = mods.modularmachinery.RecipeBuilder.newBuilder("WATER_PLANET_3","space_launch_centre", 18000);
    WATER_PLANET_3.addEnergyPerTickInput(90000);
    WATER_PLANET_3.addItemInput(<aquaculture:loot:113>).setChance(0.0);
    WATER_PLANET_3.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    WATER_PLANET_3.addItemInput(<aquaculture:loot:126>).setChance(0.0);
    WATER_PLANET_3.addItemInput(<aquaculture:loot:137>).setChance(0.0);
    WATER_PLANET_3.addItemInput(<aquaculture:planet:27>).setChance(0.0);	
	WATER_PLANET_3.addItemOutput(<minecraft:lapis_ore> * 64).setChance(0.8);
    WATER_PLANET_3.build();		
	
// ===WATER_PLANET_4===

    val WATER_PLANET_4 = mods.modularmachinery.RecipeBuilder.newBuilder("WATER_PLANET_4","space_launch_centre", 18000);
    WATER_PLANET_4.addEnergyPerTickInput(90000);
    WATER_PLANET_4.addItemInput(<aquaculture:loot:114>).setChance(0.0);
    WATER_PLANET_4.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    WATER_PLANET_4.addItemInput(<aquaculture:loot:126>).setChance(0.0);
    WATER_PLANET_4.addItemInput(<aquaculture:loot:137>).setChance(0.0);
    WATER_PLANET_4.addItemInput(<aquaculture:planet:27>).setChance(0.0);	
	WATER_PLANET_4.addItemOutput(<minecraft:lapis_ore> * 64).setChance(0.7);
    WATER_PLANET_4.build();	
	
// ===WATER_PLANET_5===

    val WATER_PLANET_5 = mods.modularmachinery.RecipeBuilder.newBuilder("WATER_PLANET_5","space_launch_centre", 18000);
    WATER_PLANET_5.addEnergyPerTickInput(90000);
    WATER_PLANET_5.addItemInput(<aquaculture:loot:115>).setChance(0.0);
    WATER_PLANET_5.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    WATER_PLANET_5.addItemInput(<aquaculture:loot:126>).setChance(0.0);
    WATER_PLANET_5.addItemInput(<aquaculture:loot:137>).setChance(0.0);
    WATER_PLANET_5.addItemInput(<aquaculture:planet:27>).setChance(0.0);	
	WATER_PLANET_5.addItemOutput(<minecraft:lapis_ore> * 64).setChance(0.7);
    WATER_PLANET_5.build();		
	
// ===WATER_PLANET_6===

    val WATER_PLANET_6 = mods.modularmachinery.RecipeBuilder.newBuilder("WATER_PLANET_6","space_launch_centre", 18000);
    WATER_PLANET_6.addEnergyPerTickInput(90000);
    WATER_PLANET_6.addItemInput(<aquaculture:loot:116>).setChance(0.0);
    WATER_PLANET_6.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    WATER_PLANET_6.addItemInput(<aquaculture:loot:126>).setChance(0.0);
    WATER_PLANET_6.addItemInput(<aquaculture:loot:137>).setChance(0.0);
    WATER_PLANET_6.addItemInput(<aquaculture:planet:27>).setChance(0.0);	
	WATER_PLANET_6.addItemOutput(<minecraft:lapis_ore> * 64).setChance(0.6);
    WATER_PLANET_6.build();		
	
// ===WATER_PLANET_7===

    val WATER_PLANET_7 = mods.modularmachinery.RecipeBuilder.newBuilder("WATER_PLANET_7","space_launch_centre", 18000);
    WATER_PLANET_7.addEnergyPerTickInput(90000);
    WATER_PLANET_7.addItemInput(<aquaculture:loot:117>).setChance(0.0);
    WATER_PLANET_7.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    WATER_PLANET_7.addItemInput(<aquaculture:loot:126>).setChance(0.0);
    WATER_PLANET_7.addItemInput(<aquaculture:loot:137>).setChance(0.0);
    WATER_PLANET_7.addItemInput(<aquaculture:planet:27>).setChance(0.0);	
	WATER_PLANET_7.addItemOutput(<minecraft:lapis_ore> * 64).setChance(0.5);
    WATER_PLANET_7.build();		

// ===WATER_PLANET_8===

    val WATER_PLANET_8 = mods.modularmachinery.RecipeBuilder.newBuilder("WATER_PLANET_8","space_launch_centre", 18000);
    WATER_PLANET_8.addEnergyPerTickInput(90000);
    WATER_PLANET_8.addItemInput(<aquaculture:loot:118>).setChance(0.0);
    WATER_PLANET_8.addItemInput(<aquaculture:loot:138>).setChance(0.0);
    WATER_PLANET_8.addItemInput(<aquaculture:loot:126>).setChance(0.0);
    WATER_PLANET_8.addItemInput(<aquaculture:loot:137>).setChance(0.0);
    WATER_PLANET_8.addItemInput(<aquaculture:planet:27>).setChance(0.0);	
	WATER_PLANET_8.addItemOutput(<minecraft:lapis_ore> * 64).setChance(0.4);
    WATER_PLANET_8.build();	

//=======================================================================================================================================================	
	
	
// ===SAND_PLANET_1===

    val SAND_PLANET_1 = mods.modularmachinery.RecipeBuilder.newBuilder("SAND_PLANET_1","space_launch_centre", 18000);
    SAND_PLANET_1.addEnergyPerTickInput(36000);
    SAND_PLANET_1.addItemInput(<aquaculture:loot:90>).setChance(0.0);
    SAND_PLANET_1.addItemInput(<aquaculture:loot:177>).setChance(0.0);
    SAND_PLANET_1.addItemInput(<aquaculture:planet:17>).setChance(0.0);
	SAND_PLANET_1.addItemOutput(<aquaculture:loot:51> * 16).setChance(1.0);
    SAND_PLANET_1.build();

// ===SAND_PLANET_2===

    val SAND_PLANET_2 = mods.modularmachinery.RecipeBuilder.newBuilder("SAND_PLANET_2","space_launch_centre", 18000);
    SAND_PLANET_2.addEnergyPerTickInput(36000);
    SAND_PLANET_2.addItemInput(<aquaculture:loot:112>).setChance(0.0);
    SAND_PLANET_2.addItemInput(<aquaculture:loot:177>).setChance(0.0);
    SAND_PLANET_2.addItemInput(<aquaculture:planet:17>).setChance(0.0);
	SAND_PLANET_2.addItemOutput(<aquaculture:loot:51> * 16).setChance(0.9);
    SAND_PLANET_2.build();	
	
// ===SAND_PLANET_3===

    val SAND_PLANET_3 = mods.modularmachinery.RecipeBuilder.newBuilder("SAND_PLANET_3","space_launch_centre", 18000);
    SAND_PLANET_3.addEnergyPerTickInput(36000);
    SAND_PLANET_3.addItemInput(<aquaculture:loot:113>).setChance(0.0);
    SAND_PLANET_3.addItemInput(<aquaculture:loot:177>).setChance(0.0);
    SAND_PLANET_3.addItemInput(<aquaculture:planet:17>).setChance(0.0);	
	SAND_PLANET_3.addItemOutput(<aquaculture:loot:51> * 16).setChance(0.8);
    SAND_PLANET_3.build();		
	
// ===SAND_PLANET_4===

    val SAND_PLANET_4 = mods.modularmachinery.RecipeBuilder.newBuilder("SAND_PLANET_4","space_launch_centre", 18000);
    SAND_PLANET_4.addEnergyPerTickInput(36000);
    SAND_PLANET_4.addItemInput(<aquaculture:loot:114>).setChance(0.0);
    SAND_PLANET_4.addItemInput(<aquaculture:loot:177>).setChance(0.0);
    SAND_PLANET_4.addItemInput(<aquaculture:planet:17>).setChance(0.0);	
	SAND_PLANET_4.addItemOutput(<aquaculture:loot:51> * 16).setChance(0.7);
    SAND_PLANET_4.build();	
	
// ===SAND_PLANET_5===

    val SAND_PLANET_5 = mods.modularmachinery.RecipeBuilder.newBuilder("SAND_PLANET_5","space_launch_centre", 18000);
    SAND_PLANET_5.addEnergyPerTickInput(36000);
    SAND_PLANET_5.addItemInput(<aquaculture:loot:115>).setChance(0.0);
    SAND_PLANET_5.addItemInput(<aquaculture:loot:177>).setChance(0.0);
    SAND_PLANET_5.addItemInput(<aquaculture:planet:17>).setChance(0.0);	
	SAND_PLANET_5.addItemOutput(<aquaculture:loot:51> * 16).setChance(0.7);
    SAND_PLANET_5.build();		
	
// ===SAND_PLANET_6===

    val SAND_PLANET_6 = mods.modularmachinery.RecipeBuilder.newBuilder("SAND_PLANET_6","space_launch_centre", 18000);
    SAND_PLANET_6.addEnergyPerTickInput(36000);
    SAND_PLANET_6.addItemInput(<aquaculture:loot:116>).setChance(0.0);
    SAND_PLANET_6.addItemInput(<aquaculture:loot:177>).setChance(0.0);
    SAND_PLANET_6.addItemInput(<aquaculture:planet:17>).setChance(0.0);	
	SAND_PLANET_6.addItemOutput(<aquaculture:loot:51> * 16).setChance(0.6);
    SAND_PLANET_6.build();		
	
// ===SAND_PLANET_7===

    val SAND_PLANET_7 = mods.modularmachinery.RecipeBuilder.newBuilder("SAND_PLANET_7","space_launch_centre", 18000);
    SAND_PLANET_7.addEnergyPerTickInput(36000);
    SAND_PLANET_7.addItemInput(<aquaculture:loot:117>).setChance(0.0);
    SAND_PLANET_7.addItemInput(<aquaculture:loot:177>).setChance(0.0);
    SAND_PLANET_7.addItemInput(<aquaculture:planet:17>).setChance(0.0);	
	SAND_PLANET_7.addItemOutput(<aquaculture:loot:51> * 16).setChance(0.5);
    SAND_PLANET_7.build();		

// ===SAND_PLANET_8===

    val SAND_PLANET_8 = mods.modularmachinery.RecipeBuilder.newBuilder("SAND_PLANET_8","space_launch_centre", 18000);
    SAND_PLANET_8.addEnergyPerTickInput(36000);
    SAND_PLANET_8.addItemInput(<aquaculture:loot:118>).setChance(0.0);
    SAND_PLANET_8.addItemInput(<aquaculture:loot:177>).setChance(0.0);
    SAND_PLANET_8.addItemInput(<aquaculture:planet:17>).setChance(0.0);	
	SAND_PLANET_8.addItemOutput(<aquaculture:loot:51> * 16).setChance(0.4);
    SAND_PLANET_8.build();
	
//=======================================================================================================================================================

// ===FOREST_PLANET_1===

    val FOREST_PLANET_1 = mods.modularmachinery.RecipeBuilder.newBuilder("FOREST_PLANET_1","space_launch_centre", 18000);
    FOREST_PLANET_1.addEnergyPerTickInput(9000);
    FOREST_PLANET_1.addItemInput(<aquaculture:planet:19>).setChance(0.0);
    FOREST_PLANET_1.addItemInput(<aquaculture:loot:139>).setChance(0.0);
    FOREST_PLANET_1.addItemInput(<aquaculture:loot:78>).setChance(0.0);	
    FOREST_PLANET_1.addItemInput(<aquaculture:loot:78>).setChance(0.0);	
    FOREST_PLANET_1.addItemInput(<aquaculture:loot:78>).setChance(0.0);	
	FOREST_PLANET_1.addItemOutput(<aquaculture:loot:200>).setChance(1.0);
    FOREST_PLANET_1.build();

//=======================================================================================================================================================


// ===DURAST===

    val DURAST = mods.modularmachinery.RecipeBuilder.newBuilder("DURAST","space_launch_centre", 12000);
    DURAST.addEnergyPerTickInput(1800);
    DURAST.addItemInput(<aquaculture:loot:139>).setChance(0.0);
    DURAST.addItemInput(<aquaculture:planet:21>).setChance(0.0);
    DURAST.addItemOutput(<minecraft:iron_ore>*4).setChance(0.4);
    DURAST.addItemOutput(<minecraft:gold_ore>*4).setChance(0.2);
    DURAST.addItemOutput(<ic2:resource:1>*2).setChance(0.4);
    DURAST.addItemOutput(<ic2:resource:3>*4).setChance(0.4);
    DURAST.addItemOutput(<ic2:resource:2>*4).setChance(0.4);
    DURAST.addItemOutput(<thermalfoundation:ore:5>*2).setChance(0.2);
    DURAST.addItemOutput(<minecraft:coal>*6).setChance(0.4);
    DURAST.addItemOutput(<forestry:resources>*6).setChance(0.4);
    DURAST.addItemOutput(<aquaculture:loot:54>*8).setChance(0.1); // 1.0
    DURAST.build();

// ===AEGIS===

    val AEGIS = mods.modularmachinery.RecipeBuilder.newBuilder("AEGIS","space_launch_centre", 24000);
    AEGIS.addEnergyPerTickInput(1800);
    AEGIS.addItemInput(<aquaculture:loot:139>).setChance(0.0);
    AEGIS.addItemInput(<aquaculture:planet:19>).setChance(0.0);
    AEGIS.addItemOutput(<thermalfoundation:ore:4>*6).setChance(0.2);
    AEGIS.addItemOutput(<thermalfoundation:ore:2>*12).setChance(0.4);
    AEGIS.addItemOutput(<tconstruct:ore:1>*4).setChance(0.8);
    AEGIS.addItemOutput(<minecraft:redstone>*12).setChance(0.4);
    AEGIS.addItemOutput(<minecraft:quartz>*12).setChance(0.4);
    AEGIS.addItemOutput(<minecraft:glowstone_dust>*12).setChance(0.4);
    AEGIS.addItemOutput(<aquaculture:loot:56>*8).setChance(0.2); // 1.0
    AEGIS.build();

// ===FEROZ===

    val FEROZ = mods.modularmachinery.RecipeBuilder.newBuilder("FEROZ","space_launch_centre", 30000);
    FEROZ.addEnergyPerTickInput(1800);
    FEROZ.addItemInput(<aquaculture:loot:139>).setChance(0.0);
    FEROZ.addItemInput(<aquaculture:planet:26>).setChance(0.0);
    FEROZ.addItemOutput(<minecraft:lapis_ore>*12).setChance(0.4);
    FEROZ.addItemOutput(<thermalfoundation:ore:6>*6).setChance(0.2);
    FEROZ.addItemOutput(<tconstruct:ore>*4).setChance(0.8);
    FEROZ.addItemOutput(<mekanism:oreblock>*6).setChance(0.4);
    FEROZ.addItemOutput(<draconicevolution:draconium_dust>*12).setChance(0.6);
    FEROZ.addItemOutput(<forestry:resources>*24).setChance(1.0);
    FEROZ.addItemOutput(<aquaculture:loot:61>*8).setChance(0.3); // 1.0
    FEROZ.addItemOutput(<tconstruct:slime_sapling>).setChance(0.1);
    FEROZ.build();

// ===VIOL===

    val VIOL = mods.modularmachinery.RecipeBuilder.newBuilder("VIOL","space_launch_centre", 48000);
    VIOL.addEnergyPerTickInput(1800);
    VIOL.addItemInput(<aquaculture:loot:139>).setChance(0.0);
    VIOL.addItemInput(<aquaculture:planet:25>).setChance(0.0);
    VIOL.addItemOutput(<ic2:resource:4>*48).setChance(0.8);
    VIOL.addItemOutput(<minecraft:emerald_ore>*6).setChance(0.2);
    VIOL.addItemOutput(<minecraft:iron_ore>*48).setChance(0.6);
    VIOL.addItemOutput(<forestry:resources:1>*48).setChance(0.8);
    VIOL.addItemOutput(<botania:overgrowthseed>*1).setChance(0.1);
	VIOL.addItemOutput(<aquaculture:loot:69>*8).setChance(0.4); // 1.0
	VIOL.addItemOutput(<tconstruct:slime_sapling:1>).setChance(0.2);
    VIOL.build();

// ===SOLAR===

    val SOLAR = mods.modularmachinery.RecipeBuilder.newBuilder("SOLAR","space_launch_centre", 72000);
    SOLAR.addEnergyPerTickInput(1800);
    SOLAR.addItemInput(<aquaculture:loot:139>).setChance(0.0);
    SOLAR.addItemInput(<aquaculture:planet:22>).setChance(0.0);
    SOLAR.addItemOutput(<minecraft:diamond_ore>*12).setChance(0.8);
    SOLAR.addItemOutput(<minecraft:emerald_ore>*6).setChance(0.4);
    SOLAR.addItemOutput(<ic2:misc_resource:1>*1).setChance(0.1);
    SOLAR.addItemOutput(<advanced_solar_panels:crafting>*1).setChance(0.1);
    SOLAR.addItemOutput(<botania:overgrowthseed>*1).setChance(0.2);
	SOLAR.addItemOutput(<tconstruct:slime_sapling:2>).setChance(0.4);
    SOLAR.build();
	
//=======================================================================================================================================================	
	
	
// ===TOXIC_HEART===

    //val TOXIC_HEART = mods.modularmachinery.RecipeBuilder.newBuilder("TOXIC_HEART","space_launch_centre", 72000);
    //TOXIC_HEART.addEnergyPerTickInput(36000);
    //TOXIC_HEART.addItemInput(<aquaculture:planet:25>).setChance(0.0);
    //TOXIC_HEART.addItemInput(<aquaculture:loot:139>).setChance(0.0);
    //TOXIC_HEART.addItemInput(<aquaculture:loot:78>).setChance(0.5);
    //TOXIC_HEART.addItemInput(<aquaculture:loot:176>).setChance(0.0);
    //TOXIC_HEART.addItemInput(<aquaculture:universe_soul>).setChance(0.0);
	//TOXIC_HEART.addItemOutput(<aquaculture:loot:185>).setChance(0.5);
    //TOXIC_HEART.build();	
	
// ===AQUATIC_HEART===

    //val AQUATIC_HEART = mods.modularmachinery.RecipeBuilder.newBuilder("AQUATIC_HEART","space_launch_centre", 72000);
    //AQUATIC_HEART.addEnergyPerTickInput(36000);
    //AQUATIC_HEART.addItemInput(<aquaculture:planet:27>).setChance(0.0);
    //AQUATIC_HEART.addItemInput(<aquaculture:loot:139>).setChance(0.0);
    //AQUATIC_HEART.addItemInput(<aquaculture:loot:78>).setChance(0.5);
    //AQUATIC_HEART.addItemInput(<aquaculture:loot:174>).setChance(0.0);
    //AQUATIC_HEART.addItemInput(<aquaculture:universe_soul>).setChance(0.0);
	//AQUATIC_HEART.addItemOutput(<aquaculture:loot:172>).setChance(0.5);
    //AQUATIC_HEART.build();	